# frozen_string_literal: true
require 'thor'
require 'steamd/parser'
require 'steamd/code_generator'
require 'steamd/cli'
require 'steamd/cli_options'

module Steamd
  # A small "cli" for Steamd.
  class Cli < Thor
    desc 'generate', 'Generate steam language files.'
    method_option :output, aliases: '-o', desc: 'the output directory'
    method_option :input, aliases: '-i', desc: 'the input directory'

    # Generate Ruby code for Steam Language
    def generate
      opts = CliOptions.new(options) # options is built by Thor
      gen  = CodeGenerator.new(opts.input, opts.output)
      gen.generate
    end

    default_task :generate
  end
end
