# Represents the EUniverse enum
class EUniverse
  # Data type of EUniverse
  DATA_TYPE = 'int'
  # Constant INVALID for EUniverse
  INVALID = 0
  # Constant PUBLIC for EUniverse
  PUBLIC = 1
  # Constant BETA for EUniverse
  BETA = 2
  # Constant INTERNAL for EUniverse
  INTERNAL = 3
  # Constant DEV for EUniverse
  DEV = 4
  # Constant MAX for EUniverse
  MAX = 5
end

# Represents the EChatEntryType enum
class EChatEntryType
  # Data type of EChatEntryType
  DATA_TYPE = 'int'
  # Constant INVALID for EChatEntryType
  INVALID = 0
  # Constant CHAT_MSG for EChatEntryType
  CHAT_MSG = 1
  # Constant TYPING for EChatEntryType
  TYPING = 2
  # Constant INVITE_GAME for EChatEntryType
  INVITE_GAME = 3
  # Constant EMOTE for EChatEntryType
  EMOTE = 4
  # Constant LOBBY_GAME_START for EChatEntryType
  LOBBY_GAME_START = 5
  # Constant LEFT_CONVERSATION for EChatEntryType
  LEFT_CONVERSATION = 6
  # Constant ENTERED for EChatEntryType
  ENTERED = 7
  # Constant WAS_KICKED for EChatEntryType
  WAS_KICKED = 8
  # Constant WAS_BANNED for EChatEntryType
  WAS_BANNED = 9
  # Constant DISCONNECTED for EChatEntryType
  DISCONNECTED = 10
  # Constant HISTORICAL_CHAT for EChatEntryType
  HISTORICAL_CHAT = 11
  # Constant RESERVED1 for EChatEntryType
  RESERVED1 = 12
  # Constant RESERVED2 for EChatEntryType
  RESERVED2 = 13
  # Constant LINK_BLOCKED for EChatEntryType
  LINK_BLOCKED = 14
end

# Represents the EPersonaState enum
class EPersonaState
  # Data type of EPersonaState
  DATA_TYPE = 'int'
  # Constant OFFLINE for EPersonaState
  OFFLINE = 0
  # Constant ONLINE for EPersonaState
  ONLINE = 1
  # Constant BUSY for EPersonaState
  BUSY = 2
  # Constant AWAY for EPersonaState
  AWAY = 3
  # Constant SNOOZE for EPersonaState
  SNOOZE = 4
  # Constant LOOKING_TO_TRADE for EPersonaState
  LOOKING_TO_TRADE = 5
  # Constant LOOKING_TO_PLAY for EPersonaState
  LOOKING_TO_PLAY = 6
  # Constant MAX for EPersonaState
  MAX = 7
end

# Represents the EAccountType enum
class EAccountType
  # Data type of EAccountType
  DATA_TYPE = 'int'
  # Constant INVALID for EAccountType
  INVALID = 0
  # Constant INDIVIDUAL for EAccountType
  INDIVIDUAL = 1
  # Constant MULTISEAT for EAccountType
  MULTISEAT = 2
  # Constant GAME_SERVER for EAccountType
  GAME_SERVER = 3
  # Constant ANON_GAME_SERVER for EAccountType
  ANON_GAME_SERVER = 4
  # Constant PENDING for EAccountType
  PENDING = 5
  # Constant CONTENT_SERVER for EAccountType
  CONTENT_SERVER = 6
  # Constant CLAN for EAccountType
  CLAN = 7
  # Constant CHAT for EAccountType
  CHAT = 8
  # Constant CONSOLE_USER for EAccountType
  CONSOLE_USER = 9
  # Constant ANON_USER for EAccountType
  ANON_USER = 10
  # Constant MAX for EAccountType
  MAX = 11
end

# Represents the EFriendRelationship enum
class EFriendRelationship
  # Data type of EFriendRelationship
  DATA_TYPE = 'int'
  # Constant NONE for EFriendRelationship
  NONE = 0
  # Constant BLOCKED for EFriendRelationship
  BLOCKED = 1
  # Constant REQUEST_RECIPIENT for EFriendRelationship
  REQUEST_RECIPIENT = 2
  # Constant FRIEND for EFriendRelationship
  FRIEND = 3
  # Constant REQUEST_INITIATOR for EFriendRelationship
  REQUEST_INITIATOR = 4
  # Constant IGNORED for EFriendRelationship
  IGNORED = 5
  # Constant IGNORED_FRIEND for EFriendRelationship
  IGNORED_FRIEND = 6
  # Constant SUGGESTED_FRIEND for EFriendRelationship
  SUGGESTED_FRIEND = 7
  # Constant MAX for EFriendRelationship
  MAX = 8
end

# Represents the EAccountFlags enum
class EAccountFlags
  # Data type of EAccountFlags
  DATA_TYPE = 'flags'
  # Constant NORMAL_USER for EAccountFlags
  NORMAL_USER = 0
  # Constant PERSONA_NAME_SET for EAccountFlags
  PERSONA_NAME_SET = 1
  # Constant UNBANNABLE for EAccountFlags
  UNBANNABLE = 2
  # Constant PASSWORD_SET for EAccountFlags
  PASSWORD_SET = 4
  # Constant SUPPORT for EAccountFlags
  SUPPORT = 8
  # Constant ADMIN for EAccountFlags
  ADMIN = 16
  # Constant SUPERVISOR for EAccountFlags
  SUPERVISOR = 32
  # Constant APP_EDITOR for EAccountFlags
  APP_EDITOR = 64
  # Constant HWID_SET for EAccountFlags
  HWID_SET = 128
  # Constant PERSONAL_QA_SET for EAccountFlags
  PERSONAL_QA_SET = 256
  # Constant VAC_BETA for EAccountFlags
  VAC_BETA = 512
  # Constant DEBUG for EAccountFlags
  DEBUG = 1024
  # Constant DISABLED for EAccountFlags
  DISABLED = 2048
  # Constant LIMITED_USER for EAccountFlags
  LIMITED_USER = 4096
  # Constant LIMITED_USER_FORCE for EAccountFlags
  LIMITED_USER_FORCE = 8192
  # Constant EMAIL_VALIDATED for EAccountFlags
  EMAIL_VALIDATED = 16384
  # Constant MARKETING_TREATMENT for EAccountFlags
  MARKETING_TREATMENT = 32768
  # Constant OGG_INVITE_OPT_OUT for EAccountFlags
  OGG_INVITE_OPT_OUT = 65536
  # Constant FORCE_PASSWORD_CHANGE for EAccountFlags
  FORCE_PASSWORD_CHANGE = 131072
  # Constant FORCE_EMAIL_VERIFICATION for EAccountFlags
  FORCE_EMAIL_VERIFICATION = 262144
  # Constant LOGON_EXTRA_SECURITY for EAccountFlags
  LOGON_EXTRA_SECURITY = 524288
  # Constant LOGON_EXTRA_SECURITY_DISABLED for EAccountFlags
  LOGON_EXTRA_SECURITY_DISABLED = 1048576
  # Constant STEAM2_MIGRATION_COMPLETE for EAccountFlags
  STEAM2_MIGRATION_COMPLETE = 2097152
  # Constant NEED_LOGS for EAccountFlags
  NEED_LOGS = 4194304
  # Constant LOCKDOWN for EAccountFlags
  LOCKDOWN = 8388608
  # Constant MASTER_APP_EDITOR for EAccountFlags
  MASTER_APP_EDITOR = 16777216
  # Constant BANNED_FROM_WEB_API for EAccountFlags
  BANNED_FROM_WEB_API = 33554432
  # Constant CLANS_ONLY_FROM_FRIENDS for EAccountFlags
  CLANS_ONLY_FROM_FRIENDS = 67108864
  # Constant GLOBAL_MODERATOR for EAccountFlags
  GLOBAL_MODERATOR = 134217728
end

# Represents the EClanPermission enum
class EClanPermission
  # Data type of EClanPermission
  DATA_TYPE = 'flags'
  # Constant NOBODY for EClanPermission
  NOBODY = 0
  # Constant OWNER for EClanPermission
  OWNER = 1
  # Constant OFFICER for EClanPermission
  OFFICER = 2
  # Constant OWNER_AND_OFFICER for EClanPermission
  OWNER_AND_OFFICER = 3
  # Constant MEMBER for EClanPermission
  MEMBER = 4
  # Constant MODERATOR for EClanPermission
  MODERATOR = 8
  # Constant OWNER_OFFICER_MODERATOR for EClanPermission
  OWNER_OFFICER_MODERATOR = OWNER | OFFICER | MODERATOR
  # Constant ALL_MEMBERS for EClanPermission
  ALL_MEMBERS = OWNER | OFFICER | MODERATOR | MEMBER
  # Constant OGG_GAME_OWNER for EClanPermission
  OGG_GAME_OWNER = 16
  # Constant NON_MEMBER for EClanPermission
  NON_MEMBER = 128
  # Constant MEMBER_ALLOWED for EClanPermission
  MEMBER_ALLOWED = NON_MEMBER | MEMBER
  # Constant MODERATOR_ALLOWED for EClanPermission
  MODERATOR_ALLOWED = NON_MEMBER | MEMBER | MODERATOR
  # Constant OFFICER_ALLOWED for EClanPermission
  OFFICER_ALLOWED = NON_MEMBER | MEMBER | MODERATOR | OFFICER
  # Constant OWNER_ALLOWED for EClanPermission
  OWNER_ALLOWED = NON_MEMBER | MEMBER | MODERATOR | OFFICER | OWNER
  # Constant ANYBODY for EClanPermission
  ANYBODY = NON_MEMBER | MEMBER | MODERATOR | OFFICER | OWNER
end

# Represents the EChatPermission enum
class EChatPermission
  # Data type of EChatPermission
  DATA_TYPE = 'flags'
  # Constant CLOSE for EChatPermission
  CLOSE = 1
  # Constant INVITE for EChatPermission
  INVITE = 2
  # Constant TALK for EChatPermission
  TALK = 8
  # Constant KICK for EChatPermission
  KICK = 16
  # Constant MUTE for EChatPermission
  MUTE = 32
  # Constant SET_METADATA for EChatPermission
  SET_METADATA = 64
  # Constant CHANGE_PERMISSIONS for EChatPermission
  CHANGE_PERMISSIONS = 128
  # Constant BAN for EChatPermission
  BAN = 256
  # Constant CHANGE_ACCESS for EChatPermission
  CHANGE_ACCESS = 512
  # Constant EVERYONE_NOT_IN_CLAN_DEFAULT for EChatPermission
  EVERYONE_NOT_IN_CLAN_DEFAULT = TALK
  # Constant EVERYONE_DEFAULT for EChatPermission
  EVERYONE_DEFAULT = TALK | INVITE
  # Constant MEMBER_DEFAULT for EChatPermission
  MEMBER_DEFAULT = BAN | KICK | TALK | INVITE
  # Constant OFFICER_DEFAULT for EChatPermission
  OFFICER_DEFAULT = BAN | KICK | TALK | INVITE
  # Constant OWNER_DEFAULT for EChatPermission
  OWNER_DEFAULT = CHANGE_ACCESS | BAN | SET_METADATA | MUTE | KICK | TALK | INVITE | CLOSE
  # Constant MASK for EChatPermission
  MASK = 1019
end

# Represents the EFriendFlags enum
class EFriendFlags
  # Data type of EFriendFlags
  DATA_TYPE = 'flags'
  # Constant NONE for EFriendFlags
  NONE = 0
  # Constant BLOCKED for EFriendFlags
  BLOCKED = 1
  # Constant FRIENDSHIP_REQUESTED for EFriendFlags
  FRIENDSHIP_REQUESTED = 2
  # Constant IMMEDIATE for EFriendFlags
  IMMEDIATE = 4
  # Constant CLAN_MEMBER for EFriendFlags
  CLAN_MEMBER = 8
  # Constant ON_GAME_SERVER for EFriendFlags
  ON_GAME_SERVER = 16
  # Constant REQUESTING_FRIENDSHIP for EFriendFlags
  REQUESTING_FRIENDSHIP = 128
  # Constant REQUESTING_INFO for EFriendFlags
  REQUESTING_INFO = 256
  # Constant IGNORED for EFriendFlags
  IGNORED = 512
  # Constant IGNORED_FRIEND for EFriendFlags
  IGNORED_FRIEND = 1024
  # Constant SUGGESTED for EFriendFlags
  SUGGESTED = 2048
  # Constant FLAG_ALL for EFriendFlags
  FLAG_ALL = 65535
end

# Represents the EPersonaStateFlag enum
class EPersonaStateFlag
  # Data type of EPersonaStateFlag
  DATA_TYPE = 'flags'
  # Constant HAS_RICH_PRESENCE for EPersonaStateFlag
  HAS_RICH_PRESENCE = 1
  # Constant IN_JOINABLE_GAME for EPersonaStateFlag
  IN_JOINABLE_GAME = 2
  # Constant ONLINE_USING_WEB for EPersonaStateFlag
  ONLINE_USING_WEB = 256
  # Constant ONLINE_USING_MOBILE for EPersonaStateFlag
  ONLINE_USING_MOBILE = 512
  # Constant ONLINE_USING_BIG_PICTURE for EPersonaStateFlag
  ONLINE_USING_BIG_PICTURE = 1024
  # Constant ONLINE_USING_VR for EPersonaStateFlag
  ONLINE_USING_VR = 2048
end

# Represents the EClientPersonaStateFlag enum
class EClientPersonaStateFlag
  # Data type of EClientPersonaStateFlag
  DATA_TYPE = 'flags'
  # Constant STATUS for EClientPersonaStateFlag
  STATUS = 1
  # Constant PLAYER_NAME for EClientPersonaStateFlag
  PLAYER_NAME = 2
  # Constant QUERY_PORT for EClientPersonaStateFlag
  QUERY_PORT = 4
  # Constant SOURCE_ID for EClientPersonaStateFlag
  SOURCE_ID = 8
  # Constant PRESENCE for EClientPersonaStateFlag
  PRESENCE = 16
  # Constant METADATA for EClientPersonaStateFlag
  METADATA = 32
  # Constant LAST_SEEN for EClientPersonaStateFlag
  LAST_SEEN = 64
  # Constant CLAN_INFO for EClientPersonaStateFlag
  CLAN_INFO = 128
  # Constant GAME_EXTRA_INFO for EClientPersonaStateFlag
  GAME_EXTRA_INFO = 256
  # Constant GAME_DATA_BLOB for EClientPersonaStateFlag
  GAME_DATA_BLOB = 512
  # Constant CLAN_TAG for EClientPersonaStateFlag
  CLAN_TAG = 1024
  # Constant FACEBOOK for EClientPersonaStateFlag
  FACEBOOK = 2048
end

# Represents the EAppUsageEvent enum
class EAppUsageEvent
  # Data type of EAppUsageEvent
  DATA_TYPE = 'int'
  # Constant GAME_LAUNCH for EAppUsageEvent
  GAME_LAUNCH = 1
  # Constant GAME_LAUNCH_TRIAL for EAppUsageEvent
  GAME_LAUNCH_TRIAL = 2
  # Constant MEDIA for EAppUsageEvent
  MEDIA = 3
  # Constant PRELOAD_START for EAppUsageEvent
  PRELOAD_START = 4
  # Constant PRELOAD_FINISH for EAppUsageEvent
  PRELOAD_FINISH = 5
  # Constant MARKETING_MESSAGE_VIEW for EAppUsageEvent
  MARKETING_MESSAGE_VIEW = 6
  # Constant IN_GAME_AD_VIEWED for EAppUsageEvent
  IN_GAME_AD_VIEWED = 7
  # Constant GAME_LAUNCH_FREE_WEEKEND for EAppUsageEvent
  GAME_LAUNCH_FREE_WEEKEND = 8
end

# Represents the ELicenseFlags enum
class ELicenseFlags
  # Data type of ELicenseFlags
  DATA_TYPE = 'flags'
  # Constant NONE for ELicenseFlags
  NONE = 0
  # Constant RENEW for ELicenseFlags
  RENEW = 0X01
  # Constant RENEWAL_FAILED for ELicenseFlags
  RENEWAL_FAILED = 0X02
  # Constant PENDING for ELicenseFlags
  PENDING = 0X04
  # Constant EXPIRED for ELicenseFlags
  EXPIRED = 0X08
  # Constant CANCELLED_BY_USER for ELicenseFlags
  CANCELLED_BY_USER = 0X10
  # Constant CANCELLED_BY_ADMIN for ELicenseFlags
  CANCELLED_BY_ADMIN = 0X20
  # Constant LOW_VIOLENCE_CONTENT for ELicenseFlags
  LOW_VIOLENCE_CONTENT = 0X40
  # Constant IMPORTED_FROM_STEAM2 for ELicenseFlags
  IMPORTED_FROM_STEAM2 = 0X80
end

# Represents the ELicenseType enum
class ELicenseType
  # Data type of ELicenseType
  DATA_TYPE = 'int'
  # Constant NO_LICENSE for ELicenseType
  NO_LICENSE = 0
  # Constant SINGLE_PURCHASE for ELicenseType
  SINGLE_PURCHASE = 1
  # Constant SINGLE_PURCHASE_LIMITED_USE for ELicenseType
  SINGLE_PURCHASE_LIMITED_USE = 2
  # Constant RECURRING_CHARGE for ELicenseType
  RECURRING_CHARGE = 3
  # Constant RECURRING_CHARGE_LIMITED_USE for ELicenseType
  RECURRING_CHARGE_LIMITED_USE = 4
  # Constant RECURRING_CHARGE_LIMITED_USE_WITH_OVERAGES for ELicenseType
  RECURRING_CHARGE_LIMITED_USE_WITH_OVERAGES = 5
  # Constant RECURRING_OPTION for ELicenseType
  RECURRING_OPTION = 6
end

# Represents the EPaymentMethod enum
class EPaymentMethod
  # Data type of EPaymentMethod
  DATA_TYPE = 'int'
  # Constant NONE for EPaymentMethod
  NONE = 0
  # Constant ACTIVATION_CODE for EPaymentMethod
  ACTIVATION_CODE = 1
  # Constant CREDIT_CARD for EPaymentMethod
  CREDIT_CARD = 2
  # Constant GIROPAY for EPaymentMethod
  GIROPAY = 3
  # Constant PAY_PAL for EPaymentMethod
  PAY_PAL = 4
  # Constant IDEAL for EPaymentMethod
  IDEAL = 5
  # Constant PAY_SAFE_CARD for EPaymentMethod
  PAY_SAFE_CARD = 6
  # Constant SOFORT for EPaymentMethod
  SOFORT = 7
  # Constant GUEST_PASS for EPaymentMethod
  GUEST_PASS = 8
  # Constant WEB_MONEY for EPaymentMethod
  WEB_MONEY = 9
  # Constant MONEY_BOOKERS for EPaymentMethod
  MONEY_BOOKERS = 10
  # Constant ALI_PAY for EPaymentMethod
  ALI_PAY = 11
  # Constant YANDEX for EPaymentMethod
  YANDEX = 12
  # Constant KIOSK for EPaymentMethod
  KIOSK = 13
  # Constant QIWI for EPaymentMethod
  QIWI = 14
  # Constant GAME_STOP for EPaymentMethod
  GAME_STOP = 15
  # Constant HARDWARE_PROMO for EPaymentMethod
  HARDWARE_PROMO = 16
  # Constant MO_PAY for EPaymentMethod
  MO_PAY = 17
  # Constant BOLETO_BANCARIO for EPaymentMethod
  BOLETO_BANCARIO = 18
  # Constant BOA_COMPRA_GOLD for EPaymentMethod
  BOA_COMPRA_GOLD = 19
  # Constant BANCO_DO_BRASIL_ONLINE for EPaymentMethod
  BANCO_DO_BRASIL_ONLINE = 20
  # Constant ITAU_ONLINE for EPaymentMethod
  ITAU_ONLINE = 21
  # Constant BRADESCO_ONLINE for EPaymentMethod
  BRADESCO_ONLINE = 22
  # Constant PAGSEGURO for EPaymentMethod
  PAGSEGURO = 23
  # Constant VISA_BRAZIL for EPaymentMethod
  VISA_BRAZIL = 24
  # Constant AMEX_BRAZIL for EPaymentMethod
  AMEX_BRAZIL = 25
  # Constant AURA for EPaymentMethod
  AURA = 26
  # Constant HIPERCARD for EPaymentMethod
  HIPERCARD = 27
  # Constant MASTERCARD_BRAZIL for EPaymentMethod
  MASTERCARD_BRAZIL = 28
  # Constant DINERS_CARD_BRAZIL for EPaymentMethod
  DINERS_CARD_BRAZIL = 29
  # Constant AUTHORIZED_DEVICE for EPaymentMethod
  AUTHORIZED_DEVICE = 30
  # Constant MOL_POINTS for EPaymentMethod
  MOL_POINTS = 31
  # Constant CLICK_AND_BUY for EPaymentMethod
  CLICK_AND_BUY = 32
  # Constant BEELINE for EPaymentMethod
  BEELINE = 33
  # Constant KONBINI for EPaymentMethod
  KONBINI = 34
  # Constant E_CLUB_POINTS for EPaymentMethod
  E_CLUB_POINTS = 35
  # Constant CREDIT_CARD_JAPAN for EPaymentMethod
  CREDIT_CARD_JAPAN = 36
  # Constant BANK_TRANSFER_JAPAN for EPaymentMethod
  BANK_TRANSFER_JAPAN = 37
  # Constant PAY_EASY_JAPAN for EPaymentMethod
  PAY_EASY_JAPAN = 38
  # Constant ZONG for EPaymentMethod
  ZONG = 39
  # Constant CULTURE_VOUCHER for EPaymentMethod
  CULTURE_VOUCHER = 40
  # Constant BOOK_VOUCHER for EPaymentMethod
  BOOK_VOUCHER = 41
  # Constant HAPPYMONEY_VOUCHER for EPaymentMethod
  HAPPYMONEY_VOUCHER = 42
  # Constant CONVENIENT_STORE_VOUCHER for EPaymentMethod
  CONVENIENT_STORE_VOUCHER = 43
  # Constant GAME_VOUCHER for EPaymentMethod
  GAME_VOUCHER = 44
  # Constant MULTIBANCO for EPaymentMethod
  MULTIBANCO = 45
  # Constant PAYSHOP for EPaymentMethod
  PAYSHOP = 46
  # Constant MAESTRO for EPaymentMethod
  MAESTRO = 47
  # Constant OXXO for EPaymentMethod
  OXXO = 48
  # Constant TODITO_CASH for EPaymentMethod
  TODITO_CASH = 49
  # Constant CARNET for EPaymentMethod
  CARNET = 50
  # Constant SPEI for EPaymentMethod
  SPEI = 51
  # Constant THREE_PAY for EPaymentMethod
  THREE_PAY = 52
  # Constant IS_BANK for EPaymentMethod
  IS_BANK = 53
  # Constant GARANTI for EPaymentMethod
  GARANTI = 54
  # Constant AKBANK for EPaymentMethod
  AKBANK = 55
  # Constant YAPI_KREDI for EPaymentMethod
  YAPI_KREDI = 56
  # Constant HALKBANK for EPaymentMethod
  HALKBANK = 57
  # Constant BANK_ASYA for EPaymentMethod
  BANK_ASYA = 58
  # Constant FINANSBANK for EPaymentMethod
  FINANSBANK = 59
  # Constant DENIZ_BANK for EPaymentMethod
  DENIZ_BANK = 60
  # Constant PTT for EPaymentMethod
  PTT = 61
  # Constant CASH_U for EPaymentMethod
  CASH_U = 62
  # Constant ONE_CARD for EPaymentMethod
  ONE_CARD = 63
  # Constant AUTO_GRANT for EPaymentMethod
  AUTO_GRANT = 64
  # Constant WEB_MONEY_JAPAN for EPaymentMethod
  WEB_MONEY_JAPAN = 65
  # Constant SMART2_PAY_TEST for EPaymentMethod
  SMART2_PAY_TEST = 66
  # Constant WALLET for EPaymentMethod
  WALLET = 128
  # Constant VALVE for EPaymentMethod
  VALVE = 129
  # Constant STEAM_PRESS_MASTER for EPaymentMethod
  STEAM_PRESS_MASTER = 130
  # Constant STORE_PROMOTION for EPaymentMethod
  STORE_PROMOTION = 131
  # Constant OEM_TICKET for EPaymentMethod
  OEM_TICKET = 256
  # Constant SPLIT for EPaymentMethod
  SPLIT = 512
  # Constant COMPLIMENTARY for EPaymentMethod
  COMPLIMENTARY = 1024
end

# Represents the EIntroducerRouting enum
class EIntroducerRouting
  # Data type of EIntroducerRouting
  DATA_TYPE = 'int'
  # Constant FILE_SHARE for EIntroducerRouting
  FILE_SHARE = 0
  # Constant P2_P_VOICE_CHAT for EIntroducerRouting
  P2_P_VOICE_CHAT = 1
  # Constant P2_P_NETWORKING for EIntroducerRouting
  P2_P_NETWORKING = 2
end

# Represents the EServerFlags enum
class EServerFlags
  # Data type of EServerFlags
  DATA_TYPE = 'flags'
  # Constant NONE for EServerFlags
  NONE = 0
  # Constant ACTIVE for EServerFlags
  ACTIVE = 1
  # Constant SECURE for EServerFlags
  SECURE = 2
  # Constant DEDICATED for EServerFlags
  DEDICATED = 4
  # Constant LINUX for EServerFlags
  LINUX = 8
  # Constant PASSWORDED for EServerFlags
  PASSWORDED = 16
  # Constant PRIVATE for EServerFlags
  PRIVATE = 32
end

# Represents the EDenyReason enum
class EDenyReason
  # Data type of EDenyReason
  DATA_TYPE = 'int'
  # Constant INVALID_VERSION for EDenyReason
  INVALID_VERSION = 1
  # Constant GENERIC for EDenyReason
  GENERIC = 2
  # Constant NOT_LOGGED_ON for EDenyReason
  NOT_LOGGED_ON = 3
  # Constant NO_LICENSE for EDenyReason
  NO_LICENSE = 4
  # Constant CHEATER for EDenyReason
  CHEATER = 5
  # Constant LOGGED_IN_ELSE_WHERE for EDenyReason
  LOGGED_IN_ELSE_WHERE = 6
  # Constant UNKNOWN_TEXT for EDenyReason
  UNKNOWN_TEXT = 7
  # Constant INCOMPATIBLE_ANTICHEAT for EDenyReason
  INCOMPATIBLE_ANTICHEAT = 8
  # Constant MEMORY_CORRUPTION for EDenyReason
  MEMORY_CORRUPTION = 9
  # Constant INCOMPATIBLE_SOFTWARE for EDenyReason
  INCOMPATIBLE_SOFTWARE = 10
  # Constant STEAM_CONNECTION_LOST for EDenyReason
  STEAM_CONNECTION_LOST = 11
  # Constant STEAM_CONNECTION_ERROR for EDenyReason
  STEAM_CONNECTION_ERROR = 12
  # Constant STEAM_RESPONSE_TIMED_OUT for EDenyReason
  STEAM_RESPONSE_TIMED_OUT = 13
  # Constant STEAM_VALIDATION_STALLED for EDenyReason
  STEAM_VALIDATION_STALLED = 14
  # Constant STEAM_OWNER_LEFT_GUEST_USER for EDenyReason
  STEAM_OWNER_LEFT_GUEST_USER = 15
end

# Represents the EClanRank enum
class EClanRank
  # Data type of EClanRank
  DATA_TYPE = 'int'
  # Constant NONE for EClanRank
  NONE = 0
  # Constant OWNER for EClanRank
  OWNER = 1
  # Constant OFFICER for EClanRank
  OFFICER = 2
  # Constant MEMBER for EClanRank
  MEMBER = 3
  # Constant MODERATOR for EClanRank
  MODERATOR = 4
end

# Represents the EClanRelationship enum
class EClanRelationship
  # Data type of EClanRelationship
  DATA_TYPE = 'int'
  # Constant NONE for EClanRelationship
  NONE = 0
  # Constant BLOCKED for EClanRelationship
  BLOCKED = 1
  # Constant INVITED for EClanRelationship
  INVITED = 2
  # Constant MEMBER for EClanRelationship
  MEMBER = 3
  # Constant KICKED for EClanRelationship
  KICKED = 4
  # Constant KICK_ACKNOWLEDGED for EClanRelationship
  KICK_ACKNOWLEDGED = 5
end

# Represents the EAuthSessionResponse enum
class EAuthSessionResponse
  # Data type of EAuthSessionResponse
  DATA_TYPE = 'int'
  # Constant OK for EAuthSessionResponse
  OK = 0
  # Constant USER_NOT_CONNECTED_TO_STEAM for EAuthSessionResponse
  USER_NOT_CONNECTED_TO_STEAM = 1
  # Constant NO_LICENSE_OR_EXPIRED for EAuthSessionResponse
  NO_LICENSE_OR_EXPIRED = 2
  # Constant VAC_BANNED for EAuthSessionResponse
  VAC_BANNED = 3
  # Constant LOGGED_IN_ELSE_WHERE for EAuthSessionResponse
  LOGGED_IN_ELSE_WHERE = 4
  # Constant VAC_CHECK_TIMED_OUT for EAuthSessionResponse
  VAC_CHECK_TIMED_OUT = 5
  # Constant AUTH_TICKET_CANCELED for EAuthSessionResponse
  AUTH_TICKET_CANCELED = 6
  # Constant AUTH_TICKET_INVALID_ALREADY_USED for EAuthSessionResponse
  AUTH_TICKET_INVALID_ALREADY_USED = 7
  # Constant AUTH_TICKET_INVALID for EAuthSessionResponse
  AUTH_TICKET_INVALID = 8
  # Constant PUBLISHER_ISSUED_BAN for EAuthSessionResponse
  PUBLISHER_ISSUED_BAN = 9
end

# Represents the EChatRoomEnterResponse enum
class EChatRoomEnterResponse
  # Data type of EChatRoomEnterResponse
  DATA_TYPE = 'int'
  # Constant SUCCESS for EChatRoomEnterResponse
  SUCCESS = 1
  # Constant DOESNT_EXIST for EChatRoomEnterResponse
  DOESNT_EXIST = 2
  # Constant NOT_ALLOWED for EChatRoomEnterResponse
  NOT_ALLOWED = 3
  # Constant FULL for EChatRoomEnterResponse
  FULL = 4
  # Constant ERROR for EChatRoomEnterResponse
  ERROR = 5
  # Constant BANNED for EChatRoomEnterResponse
  BANNED = 6
  # Constant LIMITED for EChatRoomEnterResponse
  LIMITED = 7
  # Constant CLAN_DISABLED for EChatRoomEnterResponse
  CLAN_DISABLED = 8
  # Constant COMMUNITY_BAN for EChatRoomEnterResponse
  COMMUNITY_BAN = 9
  # Constant MEMBER_BLOCKED_YOU for EChatRoomEnterResponse
  MEMBER_BLOCKED_YOU = 10
  # Constant YOU_BLOCKED_MEMBER for EChatRoomEnterResponse
  YOU_BLOCKED_MEMBER = 11
  # Constant NO_RANKING_DATA_LOBBY for EChatRoomEnterResponse
  NO_RANKING_DATA_LOBBY = 12
  # Constant NO_RANKING_DATA_USER for EChatRoomEnterResponse
  NO_RANKING_DATA_USER = 13
  # Constant RANK_OUT_OF_RANGE for EChatRoomEnterResponse
  RANK_OUT_OF_RANGE = 14
end

# Represents the EChatRoomType enum
class EChatRoomType
  # Data type of EChatRoomType
  DATA_TYPE = 'int'
  # Constant FRIEND for EChatRoomType
  FRIEND = 1
  # Constant MUC for EChatRoomType
  MUC = 2
  # Constant LOBBY for EChatRoomType
  LOBBY = 3
end

# Represents the EChatInfoType enum
class EChatInfoType
  # Data type of EChatInfoType
  DATA_TYPE = 'int'
  # Constant STATE_CHANGE for EChatInfoType
  STATE_CHANGE = 1
  # Constant INFO_UPDATE for EChatInfoType
  INFO_UPDATE = 2
  # Constant MEMBER_LIMIT_CHANGE for EChatInfoType
  MEMBER_LIMIT_CHANGE = 3
end

# Represents the EChatAction enum
class EChatAction
  # Data type of EChatAction
  DATA_TYPE = 'int'
  # Constant INVITE_CHAT for EChatAction
  INVITE_CHAT = 1
  # Constant KICK for EChatAction
  KICK = 2
  # Constant BAN for EChatAction
  BAN = 3
  # Constant UN_BAN for EChatAction
  UN_BAN = 4
  # Constant START_VOICE_SPEAK for EChatAction
  START_VOICE_SPEAK = 5
  # Constant END_VOICE_SPEAK for EChatAction
  END_VOICE_SPEAK = 6
  # Constant LOCK_CHAT for EChatAction
  LOCK_CHAT = 7
  # Constant UNLOCK_CHAT for EChatAction
  UNLOCK_CHAT = 8
  # Constant CLOSE_CHAT for EChatAction
  CLOSE_CHAT = 9
  # Constant SET_JOINABLE for EChatAction
  SET_JOINABLE = 10
  # Constant SET_UNJOINABLE for EChatAction
  SET_UNJOINABLE = 11
  # Constant SET_OWNER for EChatAction
  SET_OWNER = 12
  # Constant SET_INVISIBLE_TO_FRIENDS for EChatAction
  SET_INVISIBLE_TO_FRIENDS = 13
  # Constant SET_VISIBLE_TO_FRIENDS for EChatAction
  SET_VISIBLE_TO_FRIENDS = 14
  # Constant SET_MODERATED for EChatAction
  SET_MODERATED = 15
  # Constant SET_UNMODERATED for EChatAction
  SET_UNMODERATED = 16
end

# Represents the EChatActionResult enum
class EChatActionResult
  # Data type of EChatActionResult
  DATA_TYPE = 'int'
  # Constant SUCCESS for EChatActionResult
  SUCCESS = 1
  # Constant ERROR for EChatActionResult
  ERROR = 2
  # Constant NOT_PERMITTED for EChatActionResult
  NOT_PERMITTED = 3
  # Constant NOT_ALLOWED_ON_CLAN_MEMBER for EChatActionResult
  NOT_ALLOWED_ON_CLAN_MEMBER = 4
  # Constant NOT_ALLOWED_ON_BANNED_USER for EChatActionResult
  NOT_ALLOWED_ON_BANNED_USER = 5
  # Constant NOT_ALLOWED_ON_CHAT_OWNER for EChatActionResult
  NOT_ALLOWED_ON_CHAT_OWNER = 6
  # Constant NOT_ALLOWED_ON_SELF for EChatActionResult
  NOT_ALLOWED_ON_SELF = 7
  # Constant CHAT_DOESNT_EXIST for EChatActionResult
  CHAT_DOESNT_EXIST = 8
  # Constant CHAT_FULL for EChatActionResult
  CHAT_FULL = 9
  # Constant VOICE_SLOTS_FULL for EChatActionResult
  VOICE_SLOTS_FULL = 10
end

# Represents the EAppInfoSection enum
class EAppInfoSection
  # Data type of EAppInfoSection
  DATA_TYPE = 'int'
  # Constant UNKNOWN for EAppInfoSection
  UNKNOWN = 0
  # Constant ALL for EAppInfoSection
  ALL = 1
  # Constant FIRST for EAppInfoSection
  FIRST = 2
  # Constant COMMON for EAppInfoSection
  COMMON = 2
  # Constant EXTENDED for EAppInfoSection
  EXTENDED = 3
  # Constant CONFIG for EAppInfoSection
  CONFIG = 4
  # Constant STATS for EAppInfoSection
  STATS = 5
  # Constant INSTALL for EAppInfoSection
  INSTALL = 6
  # Constant DEPOTS for EAppInfoSection
  DEPOTS = 7
  # Constant VAC for EAppInfoSection
  VAC = 8
  # Constant DRM for EAppInfoSection
  DRM = 9
  # Constant UFS for EAppInfoSection
  UFS = 10
  # Constant OGG for EAppInfoSection
  OGG = 11
  # Constant ITEMS for EAppInfoSection
  ITEMS = 12
  # Constant ITEMS_UNUSED for EAppInfoSection
  ITEMS_UNUSED = 12
  # Constant POLICIES for EAppInfoSection
  POLICIES = 13
  # Constant SYS_REQS for EAppInfoSection
  SYS_REQS = 14
  # Constant COMMUNITY for EAppInfoSection
  COMMUNITY = 15
  # Constant STORE for EAppInfoSection
  STORE = 16
  # Constant MAX for EAppInfoSection
  MAX = 17
end

# Represents the EContentDownloadSourceType enum
class EContentDownloadSourceType
  # Data type of EContentDownloadSourceType
  DATA_TYPE = 'int'
  # Constant INVALID for EContentDownloadSourceType
  INVALID = 0
  # Constant CS for EContentDownloadSourceType
  CS = 1
  # Constant CDN for EContentDownloadSourceType
  CDN = 2
  # Constant LCS for EContentDownloadSourceType
  LCS = 3
  # Constant PROXY_CACHE for EContentDownloadSourceType
  PROXY_CACHE = 4
  # Constant MAX for EContentDownloadSourceType
  MAX = 5
end

# Represents the EPlatformType enum
class EPlatformType
  # Data type of EPlatformType
  DATA_TYPE = 'int'
  # Constant UNKNOWN for EPlatformType
  UNKNOWN = 0
  # Constant WIN32 for EPlatformType
  WIN32 = 1
  # Constant WIN64 for EPlatformType
  WIN64 = 2
  # Constant LINUX for EPlatformType
  LINUX = 3
  # Constant OSX for EPlatformType
  OSX = 4
  # Constant PS3 for EPlatformType
  PS3 = 5
  # Constant MAX for EPlatformType
  MAX = 6
end

# Represents the EOSType enum
class EOSType
  # Data type of EOSType
  DATA_TYPE = 'int'
  # Constant UNKNOWN for EOSType
  UNKNOWN = -1
  # Constant UMQ for EOSType
  UMQ = -400
  # Constant PS3 for EOSType
  PS3 = -300
  # Constant MAC_OS_UNKNOWN for EOSType
  MAC_OS_UNKNOWN = -102
  # Constant MAC_OS104 for EOSType
  MAC_OS104 = -101
  # Constant MAC_OS105 for EOSType
  MAC_OS105 = -100
  # Constant MAC_OS1058 for EOSType
  MAC_OS1058 = -99
  # Constant MAC_OS106 for EOSType
  MAC_OS106 = -95
  # Constant MAC_OS1063 for EOSType
  MAC_OS1063 = -94
  # Constant MAC_OS1064_SLGU for EOSType
  MAC_OS1064_SLGU = -93
  # Constant MAC_OS1067 for EOSType
  MAC_OS1067 = -92
  # Constant MAC_OS107 for EOSType
  MAC_OS107 = -90
  # Constant MAC_OS108 for EOSType
  MAC_OS108 = -89
  # Constant MAC_OS109 for EOSType
  MAC_OS109 = -88
  # Constant MAC_OS1010 for EOSType
  MAC_OS1010 = -87
  # Constant LINUX_UNKNOWN for EOSType
  LINUX_UNKNOWN = -203
  # Constant LINUX22 for EOSType
  LINUX22 = -202
  # Constant LINUX24 for EOSType
  LINUX24 = -201
  # Constant LINUX26 for EOSType
  LINUX26 = -200
  # Constant LINUX32 for EOSType
  LINUX32 = -199
  # Constant LINUX35 for EOSType
  LINUX35 = -198
  # Constant LINUX36 for EOSType
  LINUX36 = -197
  # Constant LINUX310 for EOSType
  LINUX310 = -196
  # Constant WIN_UNKNOWN for EOSType
  WIN_UNKNOWN = 0
  # Constant WIN311 for EOSType
  WIN311 = 1
  # Constant WIN95 for EOSType
  WIN95 = 2
  # Constant WIN98 for EOSType
  WIN98 = 3
  # Constant WIN_ME for EOSType
  WIN_ME = 4
  # Constant WIN_NT for EOSType
  WIN_NT = 5
  # Constant WIN200 for EOSType
  WIN200 = 6
  # Constant WIN_XP for EOSType
  WIN_XP = 7
  # Constant WIN2003 for EOSType
  WIN2003 = 8
  # Constant WIN_VISTA for EOSType
  WIN_VISTA = 9
  # Constant WIN7 for EOSType
  WIN7 = 10
  # Constant WINDOWS7 for EOSType
  WINDOWS7 = 10
  # Constant WIN2008 for EOSType
  WIN2008 = 11
  # Constant WIN2012 for EOSType
  WIN2012 = 12
  # Constant WIN8 for EOSType
  WIN8 = 13
  # Constant WINDOWS8 for EOSType
  WINDOWS8 = 13
  # Constant WIN81 for EOSType
  WIN81 = 14
  # Constant WINDOWS81 for EOSType
  WINDOWS81 = 14
  # Constant WIN2012_R2 for EOSType
  WIN2012_R2 = 15
  # Constant WIN10 for EOSType
  WIN10 = 16
  # Constant WIN_MAX for EOSType
  WIN_MAX = 15
  # Constant MAX for EOSType
  MAX = 26
end

# Represents the EServerType enum
class EServerType
  # Data type of EServerType
  DATA_TYPE = 'int'
  # Constant INVALID for EServerType
  INVALID = -1
  # Constant FIRST for EServerType
  FIRST = 0
  # Constant SHELL for EServerType
  SHELL = 0
  # Constant GM for EServerType
  GM = 1
  # Constant BUM for EServerType
  BUM = 2
  # Constant AM for EServerType
  AM = 3
  # Constant BS for EServerType
  BS = 4
  # Constant VS for EServerType
  VS = 5
  # Constant ATS for EServerType
  ATS = 6
  # Constant CM for EServerType
  CM = 7
  # Constant FBS for EServerType
  FBS = 8
  # Constant FG for EServerType
  FG = 9
  # Constant BOX_MONITOR for EServerType
  BOX_MONITOR = 9
  # Constant SS for EServerType
  SS = 10
  # Constant DRMS for EServerType
  DRMS = 11
  # Constant HUB_OBSOLETE for EServerType
  HUB_OBSOLETE = 12
  # Constant CONSOLE for EServerType
  CONSOLE = 13
  # Constant ASBOBSOLETE for EServerType
  ASBOBSOLETE = 14
  # Constant PICS for EServerType
  PICS = 14
  # Constant CLIENT for EServerType
  CLIENT = 15
  # Constant BOOTSTRAP_OBSOLETE for EServerType
  BOOTSTRAP_OBSOLETE = 16
  # Constant DP for EServerType
  DP = 17
  # Constant WG for EServerType
  WG = 18
  # Constant SM for EServerType
  SM = 19
  # Constant UFS for EServerType
  UFS = 21
  # Constant UTIL for EServerType
  UTIL = 23
  # Constant DSS for EServerType
  DSS = 24
  # Constant COMMUNITY for EServerType
  COMMUNITY = 24
  # Constant P2_P_RELAY_OBSOLETE for EServerType
  P2_P_RELAY_OBSOLETE = 25
  # Constant APP_INFORMATION for EServerType
  APP_INFORMATION = 26
  # Constant SPARE for EServerType
  SPARE = 27
  # Constant FTS for EServerType
  FTS = 28
  # Constant EPM for EServerType
  EPM = 29
  # Constant PS for EServerType
  PS = 30
  # Constant IS for EServerType
  IS = 31
  # Constant CCS for EServerType
  CCS = 32
  # Constant DFS for EServerType
  DFS = 33
  # Constant LBS for EServerType
  LBS = 34
  # Constant MDS for EServerType
  MDS = 35
  # Constant CS for EServerType
  CS = 36
  # Constant GC for EServerType
  GC = 37
  # Constant NS for EServerType
  NS = 38
  # Constant OGS for EServerType
  OGS = 39
  # Constant WEB_API for EServerType
  WEB_API = 40
  # Constant UDS for EServerType
  UDS = 41
  # Constant MMS for EServerType
  MMS = 42
  # Constant GMS for EServerType
  GMS = 43
  # Constant KGS for EServerType
  KGS = 44
  # Constant UCM for EServerType
  UCM = 45
  # Constant RM for EServerType
  RM = 46
  # Constant FS for EServerType
  FS = 47
  # Constant ECON for EServerType
  ECON = 48
  # Constant BACKPACK for EServerType
  BACKPACK = 49
  # Constant UGS for EServerType
  UGS = 50
  # Constant STORE for EServerType
  STORE = 51
  # Constant MONEY_STATS for EServerType
  MONEY_STATS = 52
  # Constant CRE for EServerType
  CRE = 53
  # Constant UMQ for EServerType
  UMQ = 54
  # Constant WORKSHOP for EServerType
  WORKSHOP = 55
  # Constant BRP for EServerType
  BRP = 56
  # Constant GCH for EServerType
  GCH = 57
  # Constant MPAS for EServerType
  MPAS = 58
  # Constant TRADE for EServerType
  TRADE = 59
  # Constant SECRETS for EServerType
  SECRETS = 60
  # Constant LOGSINK for EServerType
  LOGSINK = 61
  # Constant MARKET for EServerType
  MARKET = 62
  # Constant QUEST for EServerType
  QUEST = 63
  # Constant WDS for EServerType
  WDS = 64
  # Constant ACS for EServerType
  ACS = 65
  # Constant PNP for EServerType
  PNP = 66
  # Constant MAX for EServerType
  MAX = 67
end

# Represents the EBillingType enum
class EBillingType
  # Data type of EBillingType
  DATA_TYPE = 'int'
  # Constant NO_COST for EBillingType
  NO_COST = 0
  # Constant BILL_ONCE_ONLY for EBillingType
  BILL_ONCE_ONLY = 1
  # Constant BILL_MONTHLY for EBillingType
  BILL_MONTHLY = 2
  # Constant PROOF_OF_PREPURCHASE_ONLY for EBillingType
  PROOF_OF_PREPURCHASE_ONLY = 3
  # Constant GUEST_PASS for EBillingType
  GUEST_PASS = 4
  # Constant HARDWARE_PROMO for EBillingType
  HARDWARE_PROMO = 5
  # Constant GIFT for EBillingType
  GIFT = 6
  # Constant AUTO_GRANT for EBillingType
  AUTO_GRANT = 7
  # Constant OEM_TICKET for EBillingType
  OEM_TICKET = 8
  # Constant RECURRING_OPTION for EBillingType
  RECURRING_OPTION = 9
  # Constant NUM_BILLING_TYPES for EBillingType
  NUM_BILLING_TYPES = 10
end

# Represents the EActivationCodeClass enum
class EActivationCodeClass
  # Data type of EActivationCodeClass
  DATA_TYPE = 'uint'
  # Constant WON_CD_KEY for EActivationCodeClass
  WON_CD_KEY = 0
  # Constant VALVE_CD_KEY for EActivationCodeClass
  VALVE_CD_KEY = 1
  # Constant DOOM3_CD_KEY for EActivationCodeClass
  DOOM3_CD_KEY = 2
  # Constant DB_LOOKUP for EActivationCodeClass
  DB_LOOKUP = 3
  # Constant STEAM2010_KEY for EActivationCodeClass
  STEAM2010_KEY = 4
  # Constant MAX for EActivationCodeClass
  MAX = 5
  # Constant TEST for EActivationCodeClass
  TEST = 2147483647
  # Constant INVALID for EActivationCodeClass
  INVALID = 4294967295
end

# Represents the EChatMemberStateChange enum
class EChatMemberStateChange
  # Data type of EChatMemberStateChange
  DATA_TYPE = 'flags'
  # Constant ENTERED for EChatMemberStateChange
  ENTERED = 0X01
  # Constant LEFT for EChatMemberStateChange
  LEFT = 0X02
  # Constant DISCONNECTED for EChatMemberStateChange
  DISCONNECTED = 0X04
  # Constant KICKED for EChatMemberStateChange
  KICKED = 0X08
  # Constant BANNED for EChatMemberStateChange
  BANNED = 0X10
  # Constant VOICE_SPEAKING for EChatMemberStateChange
  VOICE_SPEAKING = 0X1000
  # Constant VOICE_DONE_SPEAKING for EChatMemberStateChange
  VOICE_DONE_SPEAKING = 0X2000
end

# Represents the ERegionCode enum
class ERegionCode
  # Data type of ERegionCode
  DATA_TYPE = 'byte'
  # Constant US_EAST for ERegionCode
  US_EAST = 0x00
  # Constant US_WEST for ERegionCode
  US_WEST = 0x01
  # Constant SOUTH_AMERICA for ERegionCode
  SOUTH_AMERICA = 0x02
  # Constant EUROPE for ERegionCode
  EUROPE = 0x03
  # Constant ASIA for ERegionCode
  ASIA = 0x04
  # Constant AUSTRALIA for ERegionCode
  AUSTRALIA = 0x05
  # Constant MIDDLE_EAST for ERegionCode
  MIDDLE_EAST = 0x06
  # Constant AFRICA for ERegionCode
  AFRICA = 0x07
  # Constant WORLD for ERegionCode
  WORLD = 0xFF
end

# Represents the ECurrencyCode enum
class ECurrencyCode
  # Data type of ECurrencyCode
  DATA_TYPE = 'int'
  # Constant INVALID for ECurrencyCode
  INVALID = 0
  # Constant USD for ECurrencyCode
  USD = 1
  # Constant GBP for ECurrencyCode
  GBP = 2
  # Constant EUR for ECurrencyCode
  EUR = 3
  # Constant CHF for ECurrencyCode
  CHF = 4
  # Constant RUB for ECurrencyCode
  RUB = 5
  # Constant PLN for ECurrencyCode
  PLN = 6
  # Constant BRL for ECurrencyCode
  BRL = 7
  # Constant JPY for ECurrencyCode
  JPY = 8
  # Constant NOK for ECurrencyCode
  NOK = 9
  # Constant IDR for ECurrencyCode
  IDR = 10
  # Constant MYR for ECurrencyCode
  MYR = 11
  # Constant PHP for ECurrencyCode
  PHP = 12
  # Constant SGD for ECurrencyCode
  SGD = 13
  # Constant THB for ECurrencyCode
  THB = 14
  # Constant VND for ECurrencyCode
  VND = 15
  # Constant KRW for ECurrencyCode
  KRW = 16
  # Constant TRY for ECurrencyCode
  TRY = 17
  # Constant UAH for ECurrencyCode
  UAH = 18
  # Constant MXN for ECurrencyCode
  MXN = 19
  # Constant CAD for ECurrencyCode
  CAD = 20
  # Constant AUD for ECurrencyCode
  AUD = 21
  # Constant NZD for ECurrencyCode
  NZD = 22
  # Constant CNY for ECurrencyCode
  CNY = 23
  # Constant INR for ECurrencyCode
  INR = 24
  # Constant CLP for ECurrencyCode
  CLP = 25
  # Constant PEN for ECurrencyCode
  PEN = 26
  # Constant COP for ECurrencyCode
  COP = 27
  # Constant ZAR for ECurrencyCode
  ZAR = 28
  # Constant HKD for ECurrencyCode
  HKD = 29
  # Constant TWD for ECurrencyCode
  TWD = 30
  # Constant SAR for ECurrencyCode
  SAR = 31
  # Constant AED for ECurrencyCode
  AED = 32
  # Constant MAX for ECurrencyCode
  MAX = 33
end

# Represents the EDepotFileFlag enum
class EDepotFileFlag
  # Data type of EDepotFileFlag
  DATA_TYPE = 'flags'
  # Constant USER_CONFIG for EDepotFileFlag
  USER_CONFIG = 1
  # Constant VERSIONED_USER_CONFIG for EDepotFileFlag
  VERSIONED_USER_CONFIG = 2
  # Constant ENCRYPTED for EDepotFileFlag
  ENCRYPTED = 4
  # Constant READ_ONLY for EDepotFileFlag
  READ_ONLY = 8
  # Constant HIDDEN for EDepotFileFlag
  HIDDEN = 16
  # Constant EXECUTABLE for EDepotFileFlag
  EXECUTABLE = 32
  # Constant DIRECTORY for EDepotFileFlag
  DIRECTORY = 64
  # Constant CUSTOM_EXECUTABLE for EDepotFileFlag
  CUSTOM_EXECUTABLE = 128
  # Constant INSTALL_SCRIPT for EDepotFileFlag
  INSTALL_SCRIPT = 256
end

# Represents the EWorkshopEnumerationType enum
class EWorkshopEnumerationType
  # Data type of EWorkshopEnumerationType
  DATA_TYPE = 'int'
  # Constant RANKED_BY_VOTE for EWorkshopEnumerationType
  RANKED_BY_VOTE = 0
  # Constant RECENT for EWorkshopEnumerationType
  RECENT = 1
  # Constant TRENDING for EWorkshopEnumerationType
  TRENDING = 2
  # Constant FAVORITE_OF_FRIENDS for EWorkshopEnumerationType
  FAVORITE_OF_FRIENDS = 3
  # Constant VOTED_BY_FRIENDS for EWorkshopEnumerationType
  VOTED_BY_FRIENDS = 4
  # Constant CONTENT_BY_FRIENDS for EWorkshopEnumerationType
  CONTENT_BY_FRIENDS = 5
  # Constant RECENT_FROM_FOLLOWED_USERS for EWorkshopEnumerationType
  RECENT_FROM_FOLLOWED_USERS = 6
end

# Represents the EPublishedFileVisibility enum
class EPublishedFileVisibility
  # Data type of EPublishedFileVisibility
  DATA_TYPE = 'int'
  # Constant PUBLIC for EPublishedFileVisibility
  PUBLIC = 0
  # Constant FRIENDS_ONLY for EPublishedFileVisibility
  FRIENDS_ONLY = 1
  # Constant PRIVATE for EPublishedFileVisibility
  PRIVATE = 2
end

# Represents the EWorkshopFileType enum
class EWorkshopFileType
  # Data type of EWorkshopFileType
  DATA_TYPE = 'int'
  # Constant FIRST for EWorkshopFileType
  FIRST = 0
  # Constant COMMUNITY for EWorkshopFileType
  COMMUNITY = 0
  # Constant MICROTRANSACTION for EWorkshopFileType
  MICROTRANSACTION = 1
  # Constant COLLECTION for EWorkshopFileType
  COLLECTION = 2
  # Constant ART for EWorkshopFileType
  ART = 3
  # Constant VIDEO for EWorkshopFileType
  VIDEO = 4
  # Constant SCREENSHOT for EWorkshopFileType
  SCREENSHOT = 5
  # Constant GAME for EWorkshopFileType
  GAME = 6
  # Constant SOFTWARE for EWorkshopFileType
  SOFTWARE = 7
  # Constant CONCEPT for EWorkshopFileType
  CONCEPT = 8
  # Constant WEB_GUIDE for EWorkshopFileType
  WEB_GUIDE = 9
  # Constant INTEGRATED_GUIDE for EWorkshopFileType
  INTEGRATED_GUIDE = 10
  # Constant MERCH for EWorkshopFileType
  MERCH = 11
  # Constant CONTROLLER_BINDING for EWorkshopFileType
  CONTROLLER_BINDING = 12
  # Constant STEAMWORKS_ACCESS_INVITE for EWorkshopFileType
  STEAMWORKS_ACCESS_INVITE = 13
  # Constant STEAM_VIDEO for EWorkshopFileType
  STEAM_VIDEO = 14
  # Constant GAME_MANAGED_ITEM for EWorkshopFileType
  GAME_MANAGED_ITEM = 15
  # Constant MAX for EWorkshopFileType
  MAX = 16
end

# Represents the EWorkshopFileAction enum
class EWorkshopFileAction
  # Data type of EWorkshopFileAction
  DATA_TYPE = 'int'
  # Constant PLAYED for EWorkshopFileAction
  PLAYED = 0
  # Constant COMPLETED for EWorkshopFileAction
  COMPLETED = 1
end

# Represents the EEconTradeResponse enum
class EEconTradeResponse
  # Data type of EEconTradeResponse
  DATA_TYPE = 'int'
  # Constant ACCEPTED for EEconTradeResponse
  ACCEPTED = 0
  # Constant DECLINED for EEconTradeResponse
  DECLINED = 1
  # Constant TRADE_BANNED_INITIATOR for EEconTradeResponse
  TRADE_BANNED_INITIATOR = 2
  # Constant TRADE_BANNED_TARGET for EEconTradeResponse
  TRADE_BANNED_TARGET = 3
  # Constant TARGET_ALREADY_TRADING for EEconTradeResponse
  TARGET_ALREADY_TRADING = 4
  # Constant DISABLED for EEconTradeResponse
  DISABLED = 5
  # Constant NOT_LOGGED_IN for EEconTradeResponse
  NOT_LOGGED_IN = 6
  # Constant CANCEL for EEconTradeResponse
  CANCEL = 7
  # Constant TOO_SOON for EEconTradeResponse
  TOO_SOON = 8
  # Constant TOO_SOON_PENALTY for EEconTradeResponse
  TOO_SOON_PENALTY = 9
  # Constant CONNECTION_FAILED for EEconTradeResponse
  CONNECTION_FAILED = 10
  # Constant ALREADY_TRADING for EEconTradeResponse
  ALREADY_TRADING = 11
  # Constant ALREADY_HAS_TRADE_REQUEST for EEconTradeResponse
  ALREADY_HAS_TRADE_REQUEST = 12
  # Constant NO_RESPONSE for EEconTradeResponse
  NO_RESPONSE = 13
  # Constant CYBER_CAFE_INITIATOR for EEconTradeResponse
  CYBER_CAFE_INITIATOR = 14
  # Constant CYBER_CAFE_TARGET for EEconTradeResponse
  CYBER_CAFE_TARGET = 15
  # Constant SCHOOL_LAB_INITIATOR for EEconTradeResponse
  SCHOOL_LAB_INITIATOR = 16
  # Constant SCHOOL_LAB_TARGET for EEconTradeResponse
  SCHOOL_LAB_TARGET = 16
  # Constant INITIATOR_BLOCKED_TARGET for EEconTradeResponse
  INITIATOR_BLOCKED_TARGET = 18
  # Constant INITIATOR_NEEDS_VERIFIED_EMAIL for EEconTradeResponse
  INITIATOR_NEEDS_VERIFIED_EMAIL = 20
  # Constant INITIATOR_NEEDS_STEAM_GUARD for EEconTradeResponse
  INITIATOR_NEEDS_STEAM_GUARD = 21
  # Constant TARGET_ACCOUNT_CANNOT_TRADE for EEconTradeResponse
  TARGET_ACCOUNT_CANNOT_TRADE = 22
  # Constant INITIATOR_STEAM_GUARD_DURATION for EEconTradeResponse
  INITIATOR_STEAM_GUARD_DURATION = 23
  # Constant INITIATOR_PASSWORD_RESET_PROBATION for EEconTradeResponse
  INITIATOR_PASSWORD_RESET_PROBATION = 24
  # Constant INITIATOR_NEW_DEVICE_COOLDOWN for EEconTradeResponse
  INITIATOR_NEW_DEVICE_COOLDOWN = 25
  # Constant OK_TO_DELIVER for EEconTradeResponse
  OK_TO_DELIVER = 50
end

# Represents the EMarketingMessageFlags enum
class EMarketingMessageFlags
  # Data type of EMarketingMessageFlags
  DATA_TYPE = 'flags'
  # Constant NONE for EMarketingMessageFlags
  NONE = 0
  # Constant HIGH_PRIORITY for EMarketingMessageFlags
  HIGH_PRIORITY = 1
  # Constant PLATFORM_WINDOWS for EMarketingMessageFlags
  PLATFORM_WINDOWS = 2
  # Constant PLATFORM_MAC for EMarketingMessageFlags
  PLATFORM_MAC = 4
  # Constant PLATFORM_LINUX for EMarketingMessageFlags
  PLATFORM_LINUX = 8
  # Constant PLATFORM_RESTRICTIONS for EMarketingMessageFlags
  PLATFORM_RESTRICTIONS = PLATFORM_WINDOWS | PLATFORM_MAC | PLATFORM_LINUX
end

# Represents the ENewsUpdateType enum
class ENewsUpdateType
  # Data type of ENewsUpdateType
  DATA_TYPE = 'int'
  # Constant APP_NEWS for ENewsUpdateType
  APP_NEWS = 0
  # Constant STEAM_ADS for ENewsUpdateType
  STEAM_ADS = 1
  # Constant STEAM_NEWS for ENewsUpdateType
  STEAM_NEWS = 2
  # Constant CDDB_UPDATE for ENewsUpdateType
  CDDB_UPDATE = 3
  # Constant CLIENT_UPDATE for ENewsUpdateType
  CLIENT_UPDATE = 4
end

# Represents the ESystemIMType enum
class ESystemIMType
  # Data type of ESystemIMType
  DATA_TYPE = 'int'
  # Constant RAW_TEXT for ESystemIMType
  RAW_TEXT = 0
  # Constant INVALID_CARD for ESystemIMType
  INVALID_CARD = 1
  # Constant RECURRING_PURCHASE_FAILED for ESystemIMType
  RECURRING_PURCHASE_FAILED = 2
  # Constant CARD_WILL_EXPIRE for ESystemIMType
  CARD_WILL_EXPIRE = 3
  # Constant SUBSCRIPTION_EXPIRED for ESystemIMType
  SUBSCRIPTION_EXPIRED = 4
  # Constant GUEST_PASS_RECEIVED for ESystemIMType
  GUEST_PASS_RECEIVED = 5
  # Constant GUEST_PASS_GRANTED for ESystemIMType
  GUEST_PASS_GRANTED = 6
  # Constant GIFT_REVOKED for ESystemIMType
  GIFT_REVOKED = 7
  # Constant SUPPORT_MESSAGE for ESystemIMType
  SUPPORT_MESSAGE = 8
  # Constant SUPPORT_MESSAGE_CLEAR_ALERT for ESystemIMType
  SUPPORT_MESSAGE_CLEAR_ALERT = 9
  # Constant MAX for ESystemIMType
  MAX = 10
end

# Represents the EChatFlags enum
class EChatFlags
  # Data type of EChatFlags
  DATA_TYPE = 'flags'
  # Constant LOCKED for EChatFlags
  LOCKED = 1
  # Constant INVISIBLE_TO_FRIENDS for EChatFlags
  INVISIBLE_TO_FRIENDS = 2
  # Constant MODERATED for EChatFlags
  MODERATED = 4
  # Constant UNJOINABLE for EChatFlags
  UNJOINABLE = 8
end

# Represents the ERemoteStoragePlatform enum
class ERemoteStoragePlatform
  # Data type of ERemoteStoragePlatform
  DATA_TYPE = 'flags'
  # Constant NONE for ERemoteStoragePlatform
  NONE = 0
  # Constant WINDOWS for ERemoteStoragePlatform
  WINDOWS = 1
  # Constant OSX for ERemoteStoragePlatform
  OSX = 2
  # Constant PS3 for ERemoteStoragePlatform
  PS3 = 4
  # Constant LINUX for ERemoteStoragePlatform
  LINUX = 8
  # Constant RESERVED1 for ERemoteStoragePlatform
  RESERVED1 = 8
  # Constant RESERVED2 for ERemoteStoragePlatform
  RESERVED2 = 16
  # Constant ALL for ERemoteStoragePlatform
  ALL = -1
end

# Represents the EDRMBlobDownloadType enum
class EDRMBlobDownloadType
  # Data type of EDRMBlobDownloadType
  DATA_TYPE = 'flags'
  # Constant ERROR for EDRMBlobDownloadType
  ERROR = 0
  # Constant FILE for EDRMBlobDownloadType
  FILE = 1
  # Constant PARTS for EDRMBlobDownloadType
  PARTS = 2
  # Constant COMPRESSED for EDRMBlobDownloadType
  COMPRESSED = 4
  # Constant ALL_MASK for EDRMBlobDownloadType
  ALL_MASK = 7
  # Constant IS_JOB for EDRMBlobDownloadType
  IS_JOB = 8
  # Constant HIGH_PRIORITY for EDRMBlobDownloadType
  HIGH_PRIORITY = 16
  # Constant ADD_TIMESTAMP for EDRMBlobDownloadType
  ADD_TIMESTAMP = 32
  # Constant LOW_PRIORITY for EDRMBlobDownloadType
  LOW_PRIORITY = 64
end

# Represents the EDRMBlobDownloadErrorDetail enum
class EDRMBlobDownloadErrorDetail
  # Data type of EDRMBlobDownloadErrorDetail
  DATA_TYPE = 'int'
  # Constant NONE for EDRMBlobDownloadErrorDetail
  NONE = 0
  # Constant DOWNLOAD_FAILED for EDRMBlobDownloadErrorDetail
  DOWNLOAD_FAILED = 1
  # Constant TARGET_LOCKED for EDRMBlobDownloadErrorDetail
  TARGET_LOCKED = 2
  # Constant OPEN_ZIP for EDRMBlobDownloadErrorDetail
  OPEN_ZIP = 3
  # Constant READ_ZIP_DIRECTORY for EDRMBlobDownloadErrorDetail
  READ_ZIP_DIRECTORY = 4
  # Constant UNEXPECTED_ZIP_ENTRY for EDRMBlobDownloadErrorDetail
  UNEXPECTED_ZIP_ENTRY = 5
  # Constant UNZIP_FULL_FILE for EDRMBlobDownloadErrorDetail
  UNZIP_FULL_FILE = 6
  # Constant UNKNOWN_BLOB_TYPE for EDRMBlobDownloadErrorDetail
  UNKNOWN_BLOB_TYPE = 7
  # Constant UNZIP_STRIPS for EDRMBlobDownloadErrorDetail
  UNZIP_STRIPS = 8
  # Constant UNZIP_MERGE_GUID for EDRMBlobDownloadErrorDetail
  UNZIP_MERGE_GUID = 9
  # Constant UNZIP_SIGNATURE for EDRMBlobDownloadErrorDetail
  UNZIP_SIGNATURE = 10
  # Constant APPLY_STRIPS for EDRMBlobDownloadErrorDetail
  APPLY_STRIPS = 11
  # Constant APPLY_MERGE_GUID for EDRMBlobDownloadErrorDetail
  APPLY_MERGE_GUID = 12
  # Constant APPLY_SIGNATURE for EDRMBlobDownloadErrorDetail
  APPLY_SIGNATURE = 13
  # Constant APP_ID_MISMATCH for EDRMBlobDownloadErrorDetail
  APP_ID_MISMATCH = 14
  # Constant APP_ID_UNEXPECTED for EDRMBlobDownloadErrorDetail
  APP_ID_UNEXPECTED = 15
  # Constant APPLIED_SIGNATURE_CORRUPT for EDRMBlobDownloadErrorDetail
  APPLIED_SIGNATURE_CORRUPT = 16
  # Constant APPLY_VALVE_SIGNATURE_HEADER for EDRMBlobDownloadErrorDetail
  APPLY_VALVE_SIGNATURE_HEADER = 17
  # Constant UNZIP_VALVE_SIGNATURE_HEADER for EDRMBlobDownloadErrorDetail
  UNZIP_VALVE_SIGNATURE_HEADER = 18
  # Constant PATH_MANIPULATION_ERROR for EDRMBlobDownloadErrorDetail
  PATH_MANIPULATION_ERROR = 19
  # Constant TARGET_LOCKED_BASE for EDRMBlobDownloadErrorDetail
  TARGET_LOCKED_BASE = 65536
  # Constant TARGET_LOCKED_MAX for EDRMBlobDownloadErrorDetail
  TARGET_LOCKED_MAX = 131071
  # Constant NEXT_BASE for EDRMBlobDownloadErrorDetail
  NEXT_BASE = 131072
end

# Represents the EClientStat enum
class EClientStat
  # Data type of EClientStat
  DATA_TYPE = 'int'
  # Constant P2_P_CONNECTIONS_UDP for EClientStat
  P2_P_CONNECTIONS_UDP = 0
  # Constant P2_P_CONNECTIONS_RELAY for EClientStat
  P2_P_CONNECTIONS_RELAY = 1
  # Constant P2_P_GAME_CONNECTIONS for EClientStat
  P2_P_GAME_CONNECTIONS = 2
  # Constant P2_P_VOICE_CONNECTIONS for EClientStat
  P2_P_VOICE_CONNECTIONS = 3
  # Constant BYTES_DOWNLOADED for EClientStat
  BYTES_DOWNLOADED = 4
  # Constant MAX for EClientStat
  MAX = 5
end

# Represents the EClientStatAggregateMethod enum
class EClientStatAggregateMethod
  # Data type of EClientStatAggregateMethod
  DATA_TYPE = 'int'
  # Constant LATEST_ONLY for EClientStatAggregateMethod
  LATEST_ONLY = 0
  # Constant SUM for EClientStatAggregateMethod
  SUM = 1
  # Constant EVENT for EClientStatAggregateMethod
  EVENT = 2
  # Constant SCALAR for EClientStatAggregateMethod
  SCALAR = 3
end

# Represents the ELeaderboardDataRequest enum
class ELeaderboardDataRequest
  # Data type of ELeaderboardDataRequest
  DATA_TYPE = 'int'
  # Constant GLOBAL for ELeaderboardDataRequest
  GLOBAL = 0
  # Constant GLOBAL_AROUND_USER for ELeaderboardDataRequest
  GLOBAL_AROUND_USER = 1
  # Constant FRIENDS for ELeaderboardDataRequest
  FRIENDS = 2
  # Constant USERS for ELeaderboardDataRequest
  USERS = 3
end

# Represents the ELeaderboardSortMethod enum
class ELeaderboardSortMethod
  # Data type of ELeaderboardSortMethod
  DATA_TYPE = 'int'
  # Constant NONE for ELeaderboardSortMethod
  NONE = 0
  # Constant ASCENDING for ELeaderboardSortMethod
  ASCENDING = 1
  # Constant DESCENDING for ELeaderboardSortMethod
  DESCENDING = 2
end

# Represents the ELeaderboardDisplayType enum
class ELeaderboardDisplayType
  # Data type of ELeaderboardDisplayType
  DATA_TYPE = 'int'
  # Constant NONE for ELeaderboardDisplayType
  NONE = 0
  # Constant NUMERIC for ELeaderboardDisplayType
  NUMERIC = 1
  # Constant TIME_SECONDS for ELeaderboardDisplayType
  TIME_SECONDS = 2
  # Constant TIME_MILLI_SECONDS for ELeaderboardDisplayType
  TIME_MILLI_SECONDS = 3
end

# Represents the ELeaderboardUploadScoreMethod enum
class ELeaderboardUploadScoreMethod
  # Data type of ELeaderboardUploadScoreMethod
  DATA_TYPE = 'int'
  # Constant NONE for ELeaderboardUploadScoreMethod
  NONE = 0
  # Constant KEEP_BEST for ELeaderboardUploadScoreMethod
  KEEP_BEST = 1
  # Constant FORCE_UPDATE for ELeaderboardUploadScoreMethod
  FORCE_UPDATE = 2
end

# Represents the EUCMFilePrivacyState enum
class EUCMFilePrivacyState
  # Data type of EUCMFilePrivacyState
  DATA_TYPE = 'flags'
  # Constant INVALID for EUCMFilePrivacyState
  INVALID = -1
  # Constant PRIVATE for EUCMFilePrivacyState
  PRIVATE = 2
  # Constant FRIENDS_ONLY for EUCMFilePrivacyState
  FRIENDS_ONLY = 4
  # Constant PUBLIC for EUCMFilePrivacyState
  PUBLIC = 8
  # Constant ALL for EUCMFilePrivacyState
  ALL = PUBLIC | FRIENDS_ONLY | PRIVATE
end

