# Class for the MsgGCHdrProtoBuf in the Steam Language.
class MsgGCHdrProtoBuf
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGCHdrProtoBuf object
  def initialize
    super([{:name=>"msg", :type=>"uint", :modifier=>"protomaskgc", :value=>0, :size=>nil, :modifier_size=>nil}, {:name=>"header_length", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"proto", :type=>"Gc::CMsgProtoBufHeader", :modifier=>"proto", :value=>nil, :size=>nil, :modifier_size=>"header_length"}], [])
    self.msg = 0
    self.proto = Gc::CMsgProtoBufHeader.new
  end

  # Gets the msg variable.
  #
  # @note defaults to 0
  # @return [uint] the value of msg
  def msg
    @variables['msg'][:value]
  end

  # Sets the msg variable.
  #
  # @param value [uint] the new value
  def msg=(value)
    @variables['msg'][:value] = value
  end

  # Gets the header_length variable.
  #
  # @note defaults to 
  # @return [int] the value of header_length
  def header_length
    @variables['header_length'][:value]
  end

  # Sets the header_length variable.
  #
  # @param value [int] the new value
  def header_length=(value)
    @variables['header_length'][:value] = value
  end

  # Gets the proto variable.
  #
  # @note defaults to 
  # @return [Gc::CMsgProtoBufHeader] the value of proto
  def proto
    @variables['proto'][:value]
  end

  # Sets the proto variable.
  #
  # @param value [Gc::CMsgProtoBufHeader] the new value
  def proto=(value)
    @variables['proto'][:value] = value
  end

end

# Class for the MsgGCHdr in the Steam Language.
class MsgGCHdr
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGCHdr object
  def initialize
    super([{:name=>"header_version", :type=>"ushort", :modifier=>nil, :value=>1, :size=>nil, :modifier_size=>nil}, {:name=>"target_job_id", :type=>"ulong", :modifier=>nil, :value=>18446744073709551615, :size=>nil, :modifier_size=>nil}, {:name=>"source_job_id", :type=>"ulong", :modifier=>nil, :value=>18446744073709551615, :size=>nil, :modifier_size=>nil}], [])
    self.header_version = 1
    self.target_job_id = 18446744073709551615
    self.source_job_id = 18446744073709551615
  end

  # Gets the header_version variable.
  #
  # @note defaults to 1
  # @return [ushort] the value of header_version
  def header_version
    @variables['header_version'][:value]
  end

  # Sets the header_version variable.
  #
  # @param value [ushort] the new value
  def header_version=(value)
    @variables['header_version'][:value] = value
  end

  # Gets the target_job_id variable.
  #
  # @note defaults to 18446744073709551615
  # @return [ulong] the value of target_job_id
  def target_job_id
    @variables['target_job_id'][:value]
  end

  # Sets the target_job_id variable.
  #
  # @param value [ulong] the new value
  def target_job_id=(value)
    @variables['target_job_id'][:value] = value
  end

  # Gets the source_job_id variable.
  #
  # @note defaults to 18446744073709551615
  # @return [ulong] the value of source_job_id
  def source_job_id
    @variables['source_job_id'][:value]
  end

  # Sets the source_job_id variable.
  #
  # @param value [ulong] the new value
  def source_job_id=(value)
    @variables['source_job_id'][:value] = value
  end

end

