# Class for the MsgHdr in the Steam Language.
class MsgHdr
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgHdr object
  def initialize
    super([{:name=>"msg", :type=>"EMsg", :modifier=>nil, :value=>"EMsg::INVALID", :size=>nil, :modifier_size=>nil}, {:name=>"target_job_id", :type=>"ulong", :modifier=>nil, :value=>18446744073709551615, :size=>nil, :modifier_size=>nil}, {:name=>"source_job_id", :type=>"ulong", :modifier=>nil, :value=>18446744073709551615, :size=>nil, :modifier_size=>nil}], [])
    self.msg = EMsg::INVALID
    self.target_job_id = 18446744073709551615
    self.source_job_id = 18446744073709551615
  end

  # Gets the msg variable.
  #
  # @note defaults to EMsg::INVALID
  # @return [EMsg] the value of msg
  def msg
    @variables['msg'][:value]
  end

  # Sets the msg variable.
  #
  # @param value [EMsg] the new value
  def msg=(value)
    @variables['msg'][:value] = value
  end

  # Gets the target_job_id variable.
  #
  # @note defaults to 18446744073709551615
  # @return [ulong] the value of target_job_id
  def target_job_id
    @variables['target_job_id'][:value]
  end

  # Sets the target_job_id variable.
  #
  # @param value [ulong] the new value
  def target_job_id=(value)
    @variables['target_job_id'][:value] = value
  end

  # Gets the source_job_id variable.
  #
  # @note defaults to 18446744073709551615
  # @return [ulong] the value of source_job_id
  def source_job_id
    @variables['source_job_id'][:value]
  end

  # Sets the source_job_id variable.
  #
  # @param value [ulong] the new value
  def source_job_id=(value)
    @variables['source_job_id'][:value] = value
  end

end

# Class for the ExtendedClientMsgHdr in the Steam Language.
class ExtendedClientMsgHdr
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a ExtendedClientMsgHdr object
  def initialize
    super([{:name=>"msg", :type=>"EMsg", :modifier=>nil, :value=>"EMsg::INVALID", :size=>nil, :modifier_size=>nil}, {:name=>"header_size", :type=>"byte", :modifier=>nil, :value=>36, :size=>nil, :modifier_size=>nil}, {:name=>"header_version", :type=>"ushort", :modifier=>nil, :value=>2, :size=>nil, :modifier_size=>nil}, {:name=>"target_job_id", :type=>"ulong", :modifier=>nil, :value=>18446744073709551615, :size=>nil, :modifier_size=>nil}, {:name=>"source_job_id", :type=>"ulong", :modifier=>nil, :value=>18446744073709551615, :size=>nil, :modifier_size=>nil}, {:name=>"header_canary", :type=>"byte", :modifier=>nil, :value=>239, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"session_id", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
    self.msg = EMsg::INVALID
    self.header_size = 36
    self.header_version = 2
    self.target_job_id = 18446744073709551615
    self.source_job_id = 18446744073709551615
    self.header_canary = 239
  end

  # Gets the msg variable.
  #
  # @note defaults to EMsg::INVALID
  # @return [EMsg] the value of msg
  def msg
    @variables['msg'][:value]
  end

  # Sets the msg variable.
  #
  # @param value [EMsg] the new value
  def msg=(value)
    @variables['msg'][:value] = value
  end

  # Gets the header_size variable.
  #
  # @note defaults to 36
  # @return [byte] the value of header_size
  def header_size
    @variables['header_size'][:value]
  end

  # Sets the header_size variable.
  #
  # @param value [byte] the new value
  def header_size=(value)
    @variables['header_size'][:value] = value
  end

  # Gets the header_version variable.
  #
  # @note defaults to 2
  # @return [ushort] the value of header_version
  def header_version
    @variables['header_version'][:value]
  end

  # Sets the header_version variable.
  #
  # @param value [ushort] the new value
  def header_version=(value)
    @variables['header_version'][:value] = value
  end

  # Gets the target_job_id variable.
  #
  # @note defaults to 18446744073709551615
  # @return [ulong] the value of target_job_id
  def target_job_id
    @variables['target_job_id'][:value]
  end

  # Sets the target_job_id variable.
  #
  # @param value [ulong] the new value
  def target_job_id=(value)
    @variables['target_job_id'][:value] = value
  end

  # Gets the source_job_id variable.
  #
  # @note defaults to 18446744073709551615
  # @return [ulong] the value of source_job_id
  def source_job_id
    @variables['source_job_id'][:value]
  end

  # Sets the source_job_id variable.
  #
  # @param value [ulong] the new value
  def source_job_id=(value)
    @variables['source_job_id'][:value] = value
  end

  # Gets the header_canary variable.
  #
  # @note defaults to 239
  # @return [byte] the value of header_canary
  def header_canary
    @variables['header_canary'][:value]
  end

  # Sets the header_canary variable.
  #
  # @param value [byte] the new value
  def header_canary=(value)
    @variables['header_canary'][:value] = value
  end

  # Gets the steam_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id
  def steam_id
    @variables['steam_id'][:value]
  end

  # Sets the steam_id variable.
  #
  # @param value [ulong] the new value
  def steam_id=(value)
    @variables['steam_id'][:value] = value
  end

  # Gets the session_id variable.
  #
  # @note defaults to 
  # @return [int] the value of session_id
  def session_id
    @variables['session_id'][:value]
  end

  # Sets the session_id variable.
  #
  # @param value [int] the new value
  def session_id=(value)
    @variables['session_id'][:value] = value
  end

end

# Class for the MsgHdrProtoBuf in the Steam Language.
class MsgHdrProtoBuf
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgHdrProtoBuf object
  def initialize
    super([{:name=>"msg", :type=>"EMsg", :modifier=>"protomask", :value=>"EMsg::INVALID", :size=>nil, :modifier_size=>nil}, {:name=>"header_length", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"proto", :type=>"Steamclient::CMsgProtoBufHeader", :modifier=>"proto", :value=>nil, :size=>nil, :modifier_size=>"header_length"}], [])
    self.msg = EMsg::INVALID
    self.proto = Steamclient::CMsgProtoBufHeader.new
  end

  # Gets the msg variable.
  #
  # @note defaults to EMsg::INVALID
  # @return [EMsg] the value of msg
  def msg
    @variables['msg'][:value]
  end

  # Sets the msg variable.
  #
  # @param value [EMsg] the new value
  def msg=(value)
    @variables['msg'][:value] = value
  end

  # Gets the header_length variable.
  #
  # @note defaults to 
  # @return [int] the value of header_length
  def header_length
    @variables['header_length'][:value]
  end

  # Sets the header_length variable.
  #
  # @param value [int] the new value
  def header_length=(value)
    @variables['header_length'][:value] = value
  end

  # Gets the proto variable.
  #
  # @note defaults to 
  # @return [Steamclient::CMsgProtoBufHeader] the value of proto
  def proto
    @variables['proto'][:value]
  end

  # Sets the proto variable.
  #
  # @param value [Steamclient::CMsgProtoBufHeader] the new value
  def proto=(value)
    @variables['proto'][:value] = value
  end

end

require_relative 'emsg'
require_relative 'eresult'
require_relative 'enums'
require_relative 'netheader'
