# Class for the UdpHeader in the Steam Language.
class UdpHeader
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # MAGIC constant
  MAGIC = 0x31305356
  # Instantiate a UdpHeader object
  def initialize
    super([{:name=>"magic", :type=>"uint", :modifier=>nil, :value=>"UdpHeader::MAGIC", :size=>nil, :modifier_size=>nil}, {:name=>"payload_size", :type=>"ushort", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"packet_type", :type=>"EUdpPacketType", :modifier=>nil, :value=>"EUdpPacketType::INVALID", :size=>nil, :modifier_size=>nil}, {:name=>"flags", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"source_conn_id", :type=>"uint", :modifier=>nil, :value=>512, :size=>nil, :modifier_size=>nil}, {:name=>"dest_conn_id", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"seq_this", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"seq_ack", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"packets_in_msg", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"msg_start_seq", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"msg_size", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [{:name=>"MAGIC", :type=>"uint", :modifier=>"const", :value=>"0x31305356", :size=>nil, :modifier_size=>nil}])
    self.magic = UdpHeader::MAGIC
    self.packet_type = EUdpPacketType::INVALID
    self.source_conn_id = 512
  end

  # Gets the magic variable.
  #
  # @note defaults to UdpHeader::MAGIC
  # @return [uint] the value of magic
  def magic
    @variables['magic'][:value]
  end

  # Sets the magic variable.
  #
  # @param value [uint] the new value
  def magic=(value)
    @variables['magic'][:value] = value
  end

  # Gets the payload_size variable.
  #
  # @note defaults to 
  # @return [ushort] the value of payload_size
  def payload_size
    @variables['payload_size'][:value]
  end

  # Sets the payload_size variable.
  #
  # @param value [ushort] the new value
  def payload_size=(value)
    @variables['payload_size'][:value] = value
  end

  # Gets the packet_type variable.
  #
  # @note defaults to EUdpPacketType::INVALID
  # @return [EUdpPacketType] the value of packet_type
  def packet_type
    @variables['packet_type'][:value]
  end

  # Sets the packet_type variable.
  #
  # @param value [EUdpPacketType] the new value
  def packet_type=(value)
    @variables['packet_type'][:value] = value
  end

  # Gets the flags variable.
  #
  # @note defaults to 
  # @return [byte] the value of flags
  def flags
    @variables['flags'][:value]
  end

  # Sets the flags variable.
  #
  # @param value [byte] the new value
  def flags=(value)
    @variables['flags'][:value] = value
  end

  # Gets the source_conn_id variable.
  #
  # @note defaults to 512
  # @return [uint] the value of source_conn_id
  def source_conn_id
    @variables['source_conn_id'][:value]
  end

  # Sets the source_conn_id variable.
  #
  # @param value [uint] the new value
  def source_conn_id=(value)
    @variables['source_conn_id'][:value] = value
  end

  # Gets the dest_conn_id variable.
  #
  # @note defaults to 
  # @return [uint] the value of dest_conn_id
  def dest_conn_id
    @variables['dest_conn_id'][:value]
  end

  # Sets the dest_conn_id variable.
  #
  # @param value [uint] the new value
  def dest_conn_id=(value)
    @variables['dest_conn_id'][:value] = value
  end

  # Gets the seq_this variable.
  #
  # @note defaults to 
  # @return [uint] the value of seq_this
  def seq_this
    @variables['seq_this'][:value]
  end

  # Sets the seq_this variable.
  #
  # @param value [uint] the new value
  def seq_this=(value)
    @variables['seq_this'][:value] = value
  end

  # Gets the seq_ack variable.
  #
  # @note defaults to 
  # @return [uint] the value of seq_ack
  def seq_ack
    @variables['seq_ack'][:value]
  end

  # Sets the seq_ack variable.
  #
  # @param value [uint] the new value
  def seq_ack=(value)
    @variables['seq_ack'][:value] = value
  end

  # Gets the packets_in_msg variable.
  #
  # @note defaults to 
  # @return [uint] the value of packets_in_msg
  def packets_in_msg
    @variables['packets_in_msg'][:value]
  end

  # Sets the packets_in_msg variable.
  #
  # @param value [uint] the new value
  def packets_in_msg=(value)
    @variables['packets_in_msg'][:value] = value
  end

  # Gets the msg_start_seq variable.
  #
  # @note defaults to 
  # @return [uint] the value of msg_start_seq
  def msg_start_seq
    @variables['msg_start_seq'][:value]
  end

  # Sets the msg_start_seq variable.
  #
  # @param value [uint] the new value
  def msg_start_seq=(value)
    @variables['msg_start_seq'][:value] = value
  end

  # Gets the msg_size variable.
  #
  # @note defaults to 
  # @return [uint] the value of msg_size
  def msg_size
    @variables['msg_size'][:value]
  end

  # Sets the msg_size variable.
  #
  # @param value [uint] the new value
  def msg_size=(value)
    @variables['msg_size'][:value] = value
  end

end

# Class for the ChallengeData in the Steam Language.
class ChallengeData
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # CHALLENGE_MASK constant
  CHALLENGE_MASK = 0xA426DF2B
  # Instantiate a ChallengeData object
  def initialize
    super([{:name=>"challenge_value", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"server_load", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [{:name=>"CHALLENGE_MASK", :type=>"uint", :modifier=>"const", :value=>"0xA426DF2B", :size=>nil, :modifier_size=>nil}])
  end

  # Gets the challenge_value variable.
  #
  # @note defaults to 
  # @return [uint] the value of challenge_value
  def challenge_value
    @variables['challenge_value'][:value]
  end

  # Sets the challenge_value variable.
  #
  # @param value [uint] the new value
  def challenge_value=(value)
    @variables['challenge_value'][:value] = value
  end

  # Gets the server_load variable.
  #
  # @note defaults to 
  # @return [uint] the value of server_load
  def server_load
    @variables['server_load'][:value]
  end

  # Sets the server_load variable.
  #
  # @param value [uint] the new value
  def server_load=(value)
    @variables['server_load'][:value] = value
  end

end

# Class for the ConnectData in the Steam Language.
class ConnectData
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # CHALLENGE_MASK constant
  CHALLENGE_MASK = ChallengeData::CHALLENGE_MASK
  # Instantiate a ConnectData object
  def initialize
    super([{:name=>"challenge_value", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [{:name=>"CHALLENGE_MASK", :type=>"uint", :modifier=>"const", :value=>"ChallengeData::CHALLENGE_MASK", :size=>nil, :modifier_size=>nil}])
  end

  # Gets the challenge_value variable.
  #
  # @note defaults to 
  # @return [uint] the value of challenge_value
  def challenge_value
    @variables['challenge_value'][:value]
  end

  # Sets the challenge_value variable.
  #
  # @param value [uint] the new value
  def challenge_value=(value)
    @variables['challenge_value'][:value] = value
  end

end

# Class for the Accept in the Steam Language.
class Accept
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a Accept object
  def initialize
    super([], [])
  end

end

# Class for the Datagram in the Steam Language.
class Datagram
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a Datagram object
  def initialize
    super([], [])
  end

end

# Class for the Disconnect in the Steam Language.
class Disconnect
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a Disconnect object
  def initialize
    super([], [])
  end

end

# Represents the EUdpPacketType enum
class EUdpPacketType
  # Data type of EUdpPacketType
  DATA_TYPE = 'byte'
  # Constant INVALID for EUdpPacketType
  INVALID = 0
  # Constant CHALLENGE_REQ for EUdpPacketType
  CHALLENGE_REQ = 1
  # Constant CHALLENGE for EUdpPacketType
  CHALLENGE = 2
  # Constant CONNECT for EUdpPacketType
  CONNECT = 3
  # Constant ACCEPT for EUdpPacketType
  ACCEPT = 4
  # Constant DISCONNECT for EUdpPacketType
  DISCONNECT = 5
  # Constant DATA for EUdpPacketType
  DATA = 6
  # Constant DATAGRAM for EUdpPacketType
  DATAGRAM = 7
  # Constant MAX for EUdpPacketType
  MAX = 8
end

