# Class for the MsgClientJustStrings in the Steam Language.
class MsgClientJustStrings
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientJustStrings object
  def initialize
    super([], [])
  end

end

# Class for the MsgClientGenericResponse in the Steam Language.
class MsgClientGenericResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientGenericResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

end

# Class for the MsgChannelEncryptRequest in the Steam Language.
class MsgChannelEncryptRequest
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # PROTOCOL_VERSION constant
  PROTOCOL_VERSION = 1
  # Instantiate a MsgChannelEncryptRequest object
  def initialize
    super([{:name=>"protocol_version", :type=>"uint", :modifier=>nil, :value=>"MsgChannelEncryptRequest::PROTOCOL_VERSION", :size=>nil, :modifier_size=>nil}, {:name=>"universe", :type=>"EUniverse", :modifier=>nil, :value=>"EUniverse::INVALID", :size=>nil, :modifier_size=>nil}], [{:name=>"PROTOCOL_VERSION", :type=>"uint", :modifier=>"const", :value=>1, :size=>nil, :modifier_size=>nil}])
    self.protocol_version = MsgChannelEncryptRequest::PROTOCOL_VERSION
    self.universe = EUniverse::INVALID
  end

  # Gets the protocol_version variable.
  #
  # @note defaults to MsgChannelEncryptRequest::PROTOCOL_VERSION
  # @return [uint] the value of protocol_version
  def protocol_version
    @variables['protocol_version'][:value]
  end

  # Sets the protocol_version variable.
  #
  # @param value [uint] the new value
  def protocol_version=(value)
    @variables['protocol_version'][:value] = value
  end

  # Gets the universe variable.
  #
  # @note defaults to EUniverse::INVALID
  # @return [EUniverse] the value of universe
  def universe
    @variables['universe'][:value]
  end

  # Sets the universe variable.
  #
  # @param value [EUniverse] the new value
  def universe=(value)
    @variables['universe'][:value] = value
  end

end

# Class for the MsgChannelEncryptResponse in the Steam Language.
class MsgChannelEncryptResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgChannelEncryptResponse object
  def initialize
    super([{:name=>"protocol_version", :type=>"uint", :modifier=>nil, :value=>"MsgChannelEncryptRequest::PROTOCOL_VERSION", :size=>nil, :modifier_size=>nil}, {:name=>"key_size", :type=>"uint", :modifier=>nil, :value=>128, :size=>nil, :modifier_size=>nil}], [])
    self.protocol_version = MsgChannelEncryptRequest::PROTOCOL_VERSION
    self.key_size = 128
  end

  # Gets the protocol_version variable.
  #
  # @note defaults to MsgChannelEncryptRequest::PROTOCOL_VERSION
  # @return [uint] the value of protocol_version
  def protocol_version
    @variables['protocol_version'][:value]
  end

  # Sets the protocol_version variable.
  #
  # @param value [uint] the new value
  def protocol_version=(value)
    @variables['protocol_version'][:value] = value
  end

  # Gets the key_size variable.
  #
  # @note defaults to 128
  # @return [uint] the value of key_size
  def key_size
    @variables['key_size'][:value]
  end

  # Sets the key_size variable.
  #
  # @param value [uint] the new value
  def key_size=(value)
    @variables['key_size'][:value] = value
  end

end

# Class for the MsgChannelEncryptResult in the Steam Language.
class MsgChannelEncryptResult
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgChannelEncryptResult object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>"EResult::INVALID", :size=>nil, :modifier_size=>nil}], [])
    self.result = EResult::INVALID
  end

  # Gets the result variable.
  #
  # @note defaults to EResult::INVALID
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

end

# Class for the MsgClientNewLoginKey in the Steam Language.
class MsgClientNewLoginKey
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientNewLoginKey object
  def initialize
    super([{:name=>"unique_id", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"login_key", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the unique_id variable.
  #
  # @note defaults to 
  # @return [uint] the value of unique_id
  def unique_id
    @variables['unique_id'][:value]
  end

  # Sets the unique_id variable.
  #
  # @param value [uint] the new value
  def unique_id=(value)
    @variables['unique_id'][:value] = value
  end

  # Gets the login_key variable.
  #
  # @note defaults to 
  # @return [byte] the value of login_key
  def login_key
    @variables['login_key'][:value]
  end

  # Sets the login_key variable.
  #
  # @param value [byte] the new value
  def login_key=(value)
    @variables['login_key'][:value] = value
  end

end

# Class for the MsgClientNewLoginKeyAccepted in the Steam Language.
class MsgClientNewLoginKeyAccepted
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientNewLoginKeyAccepted object
  def initialize
    super([{:name=>"unique_id", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the unique_id variable.
  #
  # @note defaults to 
  # @return [uint] the value of unique_id
  def unique_id
    @variables['unique_id'][:value]
  end

  # Sets the unique_id variable.
  #
  # @param value [uint] the new value
  def unique_id=(value)
    @variables['unique_id'][:value] = value
  end

end

# Class for the MsgClientLogon in the Steam Language.
class MsgClientLogon
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # OBFUSCATION_MASK constant
  OBFUSCATION_MASK = 0xBAADF00D
  # CURRENT_PROTOCOL constant
  CURRENT_PROTOCOL = 65579
  # PROTOCOL_VER_MAJOR_MASK constant
  PROTOCOL_VER_MAJOR_MASK = 0xFFFF0000
  # PROTOCOL_VER_MINOR_MASK constant
  PROTOCOL_VER_MINOR_MASK = 0xFFFF
  # PROTOCOL_VER_MINOR_MIN_GAME_SERVERS constant
  PROTOCOL_VER_MINOR_MIN_GAME_SERVERS = 4
  # PROTOCOL_VER_MINOR_MIN_FOR_SUPPORTING_E_MSG_MULTI constant
  PROTOCOL_VER_MINOR_MIN_FOR_SUPPORTING_E_MSG_MULTI = 12
  # PROTOCOL_VER_MINOR_MIN_FOR_SUPPORTING_E_MSG_CLIENT_ENCRYPT_PCT constant
  PROTOCOL_VER_MINOR_MIN_FOR_SUPPORTING_E_MSG_CLIENT_ENCRYPT_PCT = 14
  # PROTOCOL_VER_MINOR_MIN_FOR_EXTENDED_MSG_HDR constant
  PROTOCOL_VER_MINOR_MIN_FOR_EXTENDED_MSG_HDR = 17
  # PROTOCOL_VER_MINOR_MIN_FOR_CELL_ID constant
  PROTOCOL_VER_MINOR_MIN_FOR_CELL_ID = 18
  # PROTOCOL_VER_MINOR_MIN_FOR_SESSION_ID_LAST constant
  PROTOCOL_VER_MINOR_MIN_FOR_SESSION_ID_LAST = 19
  # PROTOCOL_VER_MINOR_MIN_FOR_SERVER_AVAILABLITY_MSGS constant
  PROTOCOL_VER_MINOR_MIN_FOR_SERVER_AVAILABLITY_MSGS = 24
  # PROTOCOL_VER_MINOR_MIN_CLIENTS constant
  PROTOCOL_VER_MINOR_MIN_CLIENTS = 25
  # PROTOCOL_VER_MINOR_MIN_FOR_OS_TYPE constant
  PROTOCOL_VER_MINOR_MIN_FOR_OS_TYPE = 26
  # PROTOCOL_VER_MINOR_MIN_FOR_CEG_APPLY_PE_SIG constant
  PROTOCOL_VER_MINOR_MIN_FOR_CEG_APPLY_PE_SIG = 27
  # PROTOCOL_VER_MINOR_MIN_FOR_MARKETING_MESSAGES2 constant
  PROTOCOL_VER_MINOR_MIN_FOR_MARKETING_MESSAGES2 = 27
  # PROTOCOL_VER_MINOR_MIN_FOR_ANY_PROTO_BUF_MESSAGES constant
  PROTOCOL_VER_MINOR_MIN_FOR_ANY_PROTO_BUF_MESSAGES = 28
  # PROTOCOL_VER_MINOR_MIN_FOR_PROTO_BUF_LOGGED_OFF_MESSAGE constant
  PROTOCOL_VER_MINOR_MIN_FOR_PROTO_BUF_LOGGED_OFF_MESSAGE = 28
  # PROTOCOL_VER_MINOR_MIN_FOR_PROTO_BUF_MULTI_MESSAGES constant
  PROTOCOL_VER_MINOR_MIN_FOR_PROTO_BUF_MULTI_MESSAGES = 28
  # PROTOCOL_VER_MINOR_MIN_FOR_SENDING_PROTOCOL_TO_UFS constant
  PROTOCOL_VER_MINOR_MIN_FOR_SENDING_PROTOCOL_TO_UFS = 30
  # PROTOCOL_VER_MINOR_MIN_FOR_MACHINE_AUTH constant
  PROTOCOL_VER_MINOR_MIN_FOR_MACHINE_AUTH = 33
  # PROTOCOL_VER_MINOR_MIN_FOR_SESSION_ID_LAST_ANON constant
  PROTOCOL_VER_MINOR_MIN_FOR_SESSION_ID_LAST_ANON = 36
  # PROTOCOL_VER_MINOR_MIN_FOR_ENHANCED_APP_LIST constant
  PROTOCOL_VER_MINOR_MIN_FOR_ENHANCED_APP_LIST = 40
  # PROTOCOL_VER_MINOR_MIN_FOR_GZIP_MULTI_MESSAGES constant
  PROTOCOL_VER_MINOR_MIN_FOR_GZIP_MULTI_MESSAGES = 43
  # Instantiate a MsgClientLogon object
  def initialize
    super([], [{:name=>"OBFUSCATION_MASK", :type=>"uint", :modifier=>"const", :value=>"0xBAADF00D", :size=>nil, :modifier_size=>nil}, {:name=>"CURRENT_PROTOCOL", :type=>"uint", :modifier=>"const", :value=>65579, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MAJOR_MASK", :type=>"uint", :modifier=>"const", :value=>"0xFFFF0000", :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MASK", :type=>"uint", :modifier=>"const", :value=>"0xFFFF", :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_GAME_SERVERS", :type=>"ushort", :modifier=>"const", :value=>4, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_SUPPORTING_E_MSG_MULTI", :type=>"ushort", :modifier=>"const", :value=>12, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_SUPPORTING_E_MSG_CLIENT_ENCRYPT_PCT", :type=>"ushort", :modifier=>"const", :value=>14, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_EXTENDED_MSG_HDR", :type=>"ushort", :modifier=>"const", :value=>17, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_CELL_ID", :type=>"ushort", :modifier=>"const", :value=>18, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_SESSION_ID_LAST", :type=>"ushort", :modifier=>"const", :value=>19, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_SERVER_AVAILABLITY_MSGS", :type=>"ushort", :modifier=>"const", :value=>24, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_CLIENTS", :type=>"ushort", :modifier=>"const", :value=>25, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_OS_TYPE", :type=>"ushort", :modifier=>"const", :value=>26, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_CEG_APPLY_PE_SIG", :type=>"ushort", :modifier=>"const", :value=>27, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_MARKETING_MESSAGES2", :type=>"ushort", :modifier=>"const", :value=>27, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_ANY_PROTO_BUF_MESSAGES", :type=>"ushort", :modifier=>"const", :value=>28, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_PROTO_BUF_LOGGED_OFF_MESSAGE", :type=>"ushort", :modifier=>"const", :value=>28, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_PROTO_BUF_MULTI_MESSAGES", :type=>"ushort", :modifier=>"const", :value=>28, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_SENDING_PROTOCOL_TO_UFS", :type=>"ushort", :modifier=>"const", :value=>30, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_MACHINE_AUTH", :type=>"ushort", :modifier=>"const", :value=>33, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_SESSION_ID_LAST_ANON", :type=>"ushort", :modifier=>"const", :value=>36, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_ENHANCED_APP_LIST", :type=>"ushort", :modifier=>"const", :value=>40, :size=>nil, :modifier_size=>nil}, {:name=>"PROTOCOL_VER_MINOR_MIN_FOR_GZIP_MULTI_MESSAGES", :type=>"ushort", :modifier=>"const", :value=>43, :size=>nil, :modifier_size=>nil}])
  end

end

# Class for the MsgClientVACBanStatus in the Steam Language.
class MsgClientVACBanStatus
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientVACBanStatus object
  def initialize
    super([{:name=>"num_bans", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the num_bans variable.
  #
  # @note defaults to 
  # @return [uint] the value of num_bans
  def num_bans
    @variables['num_bans'][:value]
  end

  # Sets the num_bans variable.
  #
  # @param value [uint] the new value
  def num_bans=(value)
    @variables['num_bans'][:value] = value
  end

end

# Class for the MsgClientAppUsageEvent in the Steam Language.
class MsgClientAppUsageEvent
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientAppUsageEvent object
  def initialize
    super([{:name=>"app_usage_event", :type=>"EAppUsageEvent", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"game_id", :type=>"ulong", :modifier=>"gameidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"offline", :type=>"ushort", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the app_usage_event variable.
  #
  # @note defaults to 
  # @return [EAppUsageEvent] the value of app_usage_event
  def app_usage_event
    @variables['app_usage_event'][:value]
  end

  # Sets the app_usage_event variable.
  #
  # @param value [EAppUsageEvent] the new value
  def app_usage_event=(value)
    @variables['app_usage_event'][:value] = value
  end

  # Gets the game_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of game_id
  def game_id
    @variables['game_id'][:value]
  end

  # Sets the game_id variable.
  #
  # @param value [ulong] the new value
  def game_id=(value)
    @variables['game_id'][:value] = value
  end

  # Gets the offline variable.
  #
  # @note defaults to 
  # @return [ushort] the value of offline
  def offline
    @variables['offline'][:value]
  end

  # Sets the offline variable.
  #
  # @param value [ushort] the new value
  def offline=(value)
    @variables['offline'][:value] = value
  end

end

# Class for the MsgClientEmailAddrInfo in the Steam Language.
class MsgClientEmailAddrInfo
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientEmailAddrInfo object
  def initialize
    super([{:name=>"password_strength", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"flags_account_security_policy", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"validated", :type=>"byte", :modifier=>"boolmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the password_strength variable.
  #
  # @note defaults to 
  # @return [uint] the value of password_strength
  def password_strength
    @variables['password_strength'][:value]
  end

  # Sets the password_strength variable.
  #
  # @param value [uint] the new value
  def password_strength=(value)
    @variables['password_strength'][:value] = value
  end

  # Gets the flags_account_security_policy variable.
  #
  # @note defaults to 
  # @return [uint] the value of flags_account_security_policy
  def flags_account_security_policy
    @variables['flags_account_security_policy'][:value]
  end

  # Sets the flags_account_security_policy variable.
  #
  # @param value [uint] the new value
  def flags_account_security_policy=(value)
    @variables['flags_account_security_policy'][:value] = value
  end

  # Gets the validated variable.
  #
  # @note defaults to 
  # @return [byte] the value of validated
  def validated
    @variables['validated'][:value]
  end

  # Sets the validated variable.
  #
  # @param value [byte] the new value
  def validated=(value)
    @variables['validated'][:value] = value
  end

end

# Class for the MsgClientUpdateGuestPassesList in the Steam Language.
class MsgClientUpdateGuestPassesList
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientUpdateGuestPassesList object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"count_guest_passes_to_give", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"count_guest_passes_to_redeem", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the count_guest_passes_to_give variable.
  #
  # @note defaults to 
  # @return [int] the value of count_guest_passes_to_give
  def count_guest_passes_to_give
    @variables['count_guest_passes_to_give'][:value]
  end

  # Sets the count_guest_passes_to_give variable.
  #
  # @param value [int] the new value
  def count_guest_passes_to_give=(value)
    @variables['count_guest_passes_to_give'][:value] = value
  end

  # Gets the count_guest_passes_to_redeem variable.
  #
  # @note defaults to 
  # @return [int] the value of count_guest_passes_to_redeem
  def count_guest_passes_to_redeem
    @variables['count_guest_passes_to_redeem'][:value]
  end

  # Sets the count_guest_passes_to_redeem variable.
  #
  # @param value [int] the new value
  def count_guest_passes_to_redeem=(value)
    @variables['count_guest_passes_to_redeem'][:value] = value
  end

end

# Class for the MsgClientRequestedClientStats in the Steam Language.
class MsgClientRequestedClientStats
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientRequestedClientStats object
  def initialize
    super([{:name=>"count_stats", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the count_stats variable.
  #
  # @note defaults to 
  # @return [int] the value of count_stats
  def count_stats
    @variables['count_stats'][:value]
  end

  # Sets the count_stats variable.
  #
  # @param value [int] the new value
  def count_stats=(value)
    @variables['count_stats'][:value] = value
  end

end

# Class for the MsgClientP2PIntroducerMessage in the Steam Language.
class MsgClientP2PIntroducerMessage
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientP2PIntroducerMessage object
  def initialize
    super([{:name=>"steam_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"routing_type", :type=>"EIntroducerRouting", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"data", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"data_len", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id
  def steam_id
    @variables['steam_id'][:value]
  end

  # Sets the steam_id variable.
  #
  # @param value [ulong] the new value
  def steam_id=(value)
    @variables['steam_id'][:value] = value
  end

  # Gets the routing_type variable.
  #
  # @note defaults to 
  # @return [EIntroducerRouting] the value of routing_type
  def routing_type
    @variables['routing_type'][:value]
  end

  # Sets the routing_type variable.
  #
  # @param value [EIntroducerRouting] the new value
  def routing_type=(value)
    @variables['routing_type'][:value] = value
  end

  # Gets the data variable.
  #
  # @note defaults to 
  # @return [byte] the value of data
  def data
    @variables['data'][:value]
  end

  # Sets the data variable.
  #
  # @param value [byte] the new value
  def data=(value)
    @variables['data'][:value] = value
  end

  # Gets the data_len variable.
  #
  # @note defaults to 
  # @return [uint] the value of data_len
  def data_len
    @variables['data_len'][:value]
  end

  # Sets the data_len variable.
  #
  # @param value [uint] the new value
  def data_len=(value)
    @variables['data_len'][:value] = value
  end

end

# Class for the MsgClientOGSBeginSession in the Steam Language.
class MsgClientOGSBeginSession
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientOGSBeginSession object
  def initialize
    super([{:name=>"account_type", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"account_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"app_id", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"time_started", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the account_type variable.
  #
  # @note defaults to 
  # @return [byte] the value of account_type
  def account_type
    @variables['account_type'][:value]
  end

  # Sets the account_type variable.
  #
  # @param value [byte] the new value
  def account_type=(value)
    @variables['account_type'][:value] = value
  end

  # Gets the account_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of account_id
  def account_id
    @variables['account_id'][:value]
  end

  # Sets the account_id variable.
  #
  # @param value [ulong] the new value
  def account_id=(value)
    @variables['account_id'][:value] = value
  end

  # Gets the app_id variable.
  #
  # @note defaults to 
  # @return [uint] the value of app_id
  def app_id
    @variables['app_id'][:value]
  end

  # Sets the app_id variable.
  #
  # @param value [uint] the new value
  def app_id=(value)
    @variables['app_id'][:value] = value
  end

  # Gets the time_started variable.
  #
  # @note defaults to 
  # @return [uint] the value of time_started
  def time_started
    @variables['time_started'][:value]
  end

  # Sets the time_started variable.
  #
  # @param value [uint] the new value
  def time_started=(value)
    @variables['time_started'][:value] = value
  end

end

# Class for the MsgClientOGSBeginSessionResponse in the Steam Language.
class MsgClientOGSBeginSessionResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientOGSBeginSessionResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"collecting_any", :type=>"byte", :modifier=>"boolmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"collecting_details", :type=>"byte", :modifier=>"boolmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"session_id", :type=>"ulong", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the collecting_any variable.
  #
  # @note defaults to 
  # @return [byte] the value of collecting_any
  def collecting_any
    @variables['collecting_any'][:value]
  end

  # Sets the collecting_any variable.
  #
  # @param value [byte] the new value
  def collecting_any=(value)
    @variables['collecting_any'][:value] = value
  end

  # Gets the collecting_details variable.
  #
  # @note defaults to 
  # @return [byte] the value of collecting_details
  def collecting_details
    @variables['collecting_details'][:value]
  end

  # Sets the collecting_details variable.
  #
  # @param value [byte] the new value
  def collecting_details=(value)
    @variables['collecting_details'][:value] = value
  end

  # Gets the session_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of session_id
  def session_id
    @variables['session_id'][:value]
  end

  # Sets the session_id variable.
  #
  # @param value [ulong] the new value
  def session_id=(value)
    @variables['session_id'][:value] = value
  end

end

# Class for the MsgClientOGSEndSession in the Steam Language.
class MsgClientOGSEndSession
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientOGSEndSession object
  def initialize
    super([{:name=>"session_id", :type=>"ulong", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"time_ended", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"reason_code", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"count_attributes", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the session_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of session_id
  def session_id
    @variables['session_id'][:value]
  end

  # Sets the session_id variable.
  #
  # @param value [ulong] the new value
  def session_id=(value)
    @variables['session_id'][:value] = value
  end

  # Gets the time_ended variable.
  #
  # @note defaults to 
  # @return [uint] the value of time_ended
  def time_ended
    @variables['time_ended'][:value]
  end

  # Sets the time_ended variable.
  #
  # @param value [uint] the new value
  def time_ended=(value)
    @variables['time_ended'][:value] = value
  end

  # Gets the reason_code variable.
  #
  # @note defaults to 
  # @return [int] the value of reason_code
  def reason_code
    @variables['reason_code'][:value]
  end

  # Sets the reason_code variable.
  #
  # @param value [int] the new value
  def reason_code=(value)
    @variables['reason_code'][:value] = value
  end

  # Gets the count_attributes variable.
  #
  # @note defaults to 
  # @return [int] the value of count_attributes
  def count_attributes
    @variables['count_attributes'][:value]
  end

  # Sets the count_attributes variable.
  #
  # @param value [int] the new value
  def count_attributes=(value)
    @variables['count_attributes'][:value] = value
  end

end

# Class for the MsgClientOGSEndSessionResponse in the Steam Language.
class MsgClientOGSEndSessionResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientOGSEndSessionResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

end

# Class for the MsgClientOGSWriteRow in the Steam Language.
class MsgClientOGSWriteRow
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientOGSWriteRow object
  def initialize
    super([{:name=>"session_id", :type=>"ulong", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"count_attributes", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the session_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of session_id
  def session_id
    @variables['session_id'][:value]
  end

  # Sets the session_id variable.
  #
  # @param value [ulong] the new value
  def session_id=(value)
    @variables['session_id'][:value] = value
  end

  # Gets the count_attributes variable.
  #
  # @note defaults to 
  # @return [int] the value of count_attributes
  def count_attributes
    @variables['count_attributes'][:value]
  end

  # Sets the count_attributes variable.
  #
  # @param value [int] the new value
  def count_attributes=(value)
    @variables['count_attributes'][:value] = value
  end

end

# Class for the MsgClientGetFriendsWhoPlayGame in the Steam Language.
class MsgClientGetFriendsWhoPlayGame
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientGetFriendsWhoPlayGame object
  def initialize
    super([{:name=>"game_id", :type=>"ulong", :modifier=>"gameidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the game_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of game_id
  def game_id
    @variables['game_id'][:value]
  end

  # Sets the game_id variable.
  #
  # @param value [ulong] the new value
  def game_id=(value)
    @variables['game_id'][:value] = value
  end

end

# Class for the MsgClientGetFriendsWhoPlayGameResponse in the Steam Language.
class MsgClientGetFriendsWhoPlayGameResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientGetFriendsWhoPlayGameResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"game_id", :type=>"ulong", :modifier=>"gameidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"count_friends", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the game_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of game_id
  def game_id
    @variables['game_id'][:value]
  end

  # Sets the game_id variable.
  #
  # @param value [ulong] the new value
  def game_id=(value)
    @variables['game_id'][:value] = value
  end

  # Gets the count_friends variable.
  #
  # @note defaults to 
  # @return [uint] the value of count_friends
  def count_friends
    @variables['count_friends'][:value]
  end

  # Sets the count_friends variable.
  #
  # @param value [uint] the new value
  def count_friends=(value)
    @variables['count_friends'][:value] = value
  end

end

# Class for the MsgGSPerformHardwareSurvey in the Steam Language.
class MsgGSPerformHardwareSurvey
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSPerformHardwareSurvey object
  def initialize
    super([{:name=>"flags", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the flags variable.
  #
  # @note defaults to 
  # @return [uint] the value of flags
  def flags
    @variables['flags'][:value]
  end

  # Sets the flags variable.
  #
  # @param value [uint] the new value
  def flags=(value)
    @variables['flags'][:value] = value
  end

end

# Class for the MsgGSGetPlayStatsResponse in the Steam Language.
class MsgGSGetPlayStatsResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSGetPlayStatsResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"rank", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"lifetime_connects", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"lifetime_minutes_played", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the rank variable.
  #
  # @note defaults to 
  # @return [int] the value of rank
  def rank
    @variables['rank'][:value]
  end

  # Sets the rank variable.
  #
  # @param value [int] the new value
  def rank=(value)
    @variables['rank'][:value] = value
  end

  # Gets the lifetime_connects variable.
  #
  # @note defaults to 
  # @return [uint] the value of lifetime_connects
  def lifetime_connects
    @variables['lifetime_connects'][:value]
  end

  # Sets the lifetime_connects variable.
  #
  # @param value [uint] the new value
  def lifetime_connects=(value)
    @variables['lifetime_connects'][:value] = value
  end

  # Gets the lifetime_minutes_played variable.
  #
  # @note defaults to 
  # @return [uint] the value of lifetime_minutes_played
  def lifetime_minutes_played
    @variables['lifetime_minutes_played'][:value]
  end

  # Sets the lifetime_minutes_played variable.
  #
  # @param value [uint] the new value
  def lifetime_minutes_played=(value)
    @variables['lifetime_minutes_played'][:value] = value
  end

end

# Class for the MsgGSGetReputationResponse in the Steam Language.
class MsgGSGetReputationResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSGetReputationResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"reputation_score", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"banned", :type=>"byte", :modifier=>"boolmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"banned_ip", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"banned_port", :type=>"ushort", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"banned_game_id", :type=>"ulong", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"time_ban_expires", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the reputation_score variable.
  #
  # @note defaults to 
  # @return [uint] the value of reputation_score
  def reputation_score
    @variables['reputation_score'][:value]
  end

  # Sets the reputation_score variable.
  #
  # @param value [uint] the new value
  def reputation_score=(value)
    @variables['reputation_score'][:value] = value
  end

  # Gets the banned variable.
  #
  # @note defaults to 
  # @return [byte] the value of banned
  def banned
    @variables['banned'][:value]
  end

  # Sets the banned variable.
  #
  # @param value [byte] the new value
  def banned=(value)
    @variables['banned'][:value] = value
  end

  # Gets the banned_ip variable.
  #
  # @note defaults to 
  # @return [uint] the value of banned_ip
  def banned_ip
    @variables['banned_ip'][:value]
  end

  # Sets the banned_ip variable.
  #
  # @param value [uint] the new value
  def banned_ip=(value)
    @variables['banned_ip'][:value] = value
  end

  # Gets the banned_port variable.
  #
  # @note defaults to 
  # @return [ushort] the value of banned_port
  def banned_port
    @variables['banned_port'][:value]
  end

  # Sets the banned_port variable.
  #
  # @param value [ushort] the new value
  def banned_port=(value)
    @variables['banned_port'][:value] = value
  end

  # Gets the banned_game_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of banned_game_id
  def banned_game_id
    @variables['banned_game_id'][:value]
  end

  # Sets the banned_game_id variable.
  #
  # @param value [ulong] the new value
  def banned_game_id=(value)
    @variables['banned_game_id'][:value] = value
  end

  # Gets the time_ban_expires variable.
  #
  # @note defaults to 
  # @return [uint] the value of time_ban_expires
  def time_ban_expires
    @variables['time_ban_expires'][:value]
  end

  # Sets the time_ban_expires variable.
  #
  # @param value [uint] the new value
  def time_ban_expires=(value)
    @variables['time_ban_expires'][:value] = value
  end

end

# Class for the MsgGSDeny in the Steam Language.
class MsgGSDeny
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSDeny object
  def initialize
    super([{:name=>"steam_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"deny_reason", :type=>"EDenyReason", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id
  def steam_id
    @variables['steam_id'][:value]
  end

  # Sets the steam_id variable.
  #
  # @param value [ulong] the new value
  def steam_id=(value)
    @variables['steam_id'][:value] = value
  end

  # Gets the deny_reason variable.
  #
  # @note defaults to 
  # @return [EDenyReason] the value of deny_reason
  def deny_reason
    @variables['deny_reason'][:value]
  end

  # Sets the deny_reason variable.
  #
  # @param value [EDenyReason] the new value
  def deny_reason=(value)
    @variables['deny_reason'][:value] = value
  end

end

# Class for the MsgGSApprove in the Steam Language.
class MsgGSApprove
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSApprove object
  def initialize
    super([{:name=>"steam_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id
  def steam_id
    @variables['steam_id'][:value]
  end

  # Sets the steam_id variable.
  #
  # @param value [ulong] the new value
  def steam_id=(value)
    @variables['steam_id'][:value] = value
  end

end

# Class for the MsgGSKick in the Steam Language.
class MsgGSKick
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSKick object
  def initialize
    super([{:name=>"steam_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"deny_reason", :type=>"EDenyReason", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"wait_til_map_change", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id
  def steam_id
    @variables['steam_id'][:value]
  end

  # Sets the steam_id variable.
  #
  # @param value [ulong] the new value
  def steam_id=(value)
    @variables['steam_id'][:value] = value
  end

  # Gets the deny_reason variable.
  #
  # @note defaults to 
  # @return [EDenyReason] the value of deny_reason
  def deny_reason
    @variables['deny_reason'][:value]
  end

  # Sets the deny_reason variable.
  #
  # @param value [EDenyReason] the new value
  def deny_reason=(value)
    @variables['deny_reason'][:value] = value
  end

  # Gets the wait_til_map_change variable.
  #
  # @note defaults to 
  # @return [int] the value of wait_til_map_change
  def wait_til_map_change
    @variables['wait_til_map_change'][:value]
  end

  # Sets the wait_til_map_change variable.
  #
  # @param value [int] the new value
  def wait_til_map_change=(value)
    @variables['wait_til_map_change'][:value] = value
  end

end

# Class for the MsgGSGetUserGroupStatus in the Steam Language.
class MsgGSGetUserGroupStatus
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSGetUserGroupStatus object
  def initialize
    super([{:name=>"steam_id_user", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_group", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_user variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_user
  def steam_id_user
    @variables['steam_id_user'][:value]
  end

  # Sets the steam_id_user variable.
  #
  # @param value [ulong] the new value
  def steam_id_user=(value)
    @variables['steam_id_user'][:value] = value
  end

  # Gets the steam_id_group variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_group
  def steam_id_group
    @variables['steam_id_group'][:value]
  end

  # Sets the steam_id_group variable.
  #
  # @param value [ulong] the new value
  def steam_id_group=(value)
    @variables['steam_id_group'][:value] = value
  end

end

# Class for the MsgGSGetUserGroupStatusResponse in the Steam Language.
class MsgGSGetUserGroupStatusResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgGSGetUserGroupStatusResponse object
  def initialize
    super([{:name=>"steam_id_user", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_group", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"clan_relationship", :type=>"EClanRelationship", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"clan_rank", :type=>"EClanRank", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_user variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_user
  def steam_id_user
    @variables['steam_id_user'][:value]
  end

  # Sets the steam_id_user variable.
  #
  # @param value [ulong] the new value
  def steam_id_user=(value)
    @variables['steam_id_user'][:value] = value
  end

  # Gets the steam_id_group variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_group
  def steam_id_group
    @variables['steam_id_group'][:value]
  end

  # Sets the steam_id_group variable.
  #
  # @param value [ulong] the new value
  def steam_id_group=(value)
    @variables['steam_id_group'][:value] = value
  end

  # Gets the clan_relationship variable.
  #
  # @note defaults to 
  # @return [EClanRelationship] the value of clan_relationship
  def clan_relationship
    @variables['clan_relationship'][:value]
  end

  # Sets the clan_relationship variable.
  #
  # @param value [EClanRelationship] the new value
  def clan_relationship=(value)
    @variables['clan_relationship'][:value] = value
  end

  # Gets the clan_rank variable.
  #
  # @note defaults to 
  # @return [EClanRank] the value of clan_rank
  def clan_rank
    @variables['clan_rank'][:value]
  end

  # Sets the clan_rank variable.
  #
  # @param value [EClanRank] the new value
  def clan_rank=(value)
    @variables['clan_rank'][:value] = value
  end

end

# Class for the MsgClientJoinChat in the Steam Language.
class MsgClientJoinChat
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientJoinChat object
  def initialize
    super([{:name=>"steam_id_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"is_voice_speaker", :type=>"byte", :modifier=>"boolmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat
  def steam_id_chat
    @variables['steam_id_chat'][:value]
  end

  # Sets the steam_id_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat=(value)
    @variables['steam_id_chat'][:value] = value
  end

  # Gets the is_voice_speaker variable.
  #
  # @note defaults to 
  # @return [byte] the value of is_voice_speaker
  def is_voice_speaker
    @variables['is_voice_speaker'][:value]
  end

  # Sets the is_voice_speaker variable.
  #
  # @param value [byte] the new value
  def is_voice_speaker=(value)
    @variables['is_voice_speaker'][:value] = value
  end

end

# Class for the MsgClientChatEnter in the Steam Language.
class MsgClientChatEnter
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientChatEnter object
  def initialize
    super([{:name=>"steam_id_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_friend", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"chat_room_type", :type=>"EChatRoomType", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_owner", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_clan", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"chat_flags", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"enter_response", :type=>"EChatRoomEnterResponse", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"num_members", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat
  def steam_id_chat
    @variables['steam_id_chat'][:value]
  end

  # Sets the steam_id_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat=(value)
    @variables['steam_id_chat'][:value] = value
  end

  # Gets the steam_id_friend variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_friend
  def steam_id_friend
    @variables['steam_id_friend'][:value]
  end

  # Sets the steam_id_friend variable.
  #
  # @param value [ulong] the new value
  def steam_id_friend=(value)
    @variables['steam_id_friend'][:value] = value
  end

  # Gets the chat_room_type variable.
  #
  # @note defaults to 
  # @return [EChatRoomType] the value of chat_room_type
  def chat_room_type
    @variables['chat_room_type'][:value]
  end

  # Sets the chat_room_type variable.
  #
  # @param value [EChatRoomType] the new value
  def chat_room_type=(value)
    @variables['chat_room_type'][:value] = value
  end

  # Gets the steam_id_owner variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_owner
  def steam_id_owner
    @variables['steam_id_owner'][:value]
  end

  # Sets the steam_id_owner variable.
  #
  # @param value [ulong] the new value
  def steam_id_owner=(value)
    @variables['steam_id_owner'][:value] = value
  end

  # Gets the steam_id_clan variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_clan
  def steam_id_clan
    @variables['steam_id_clan'][:value]
  end

  # Sets the steam_id_clan variable.
  #
  # @param value [ulong] the new value
  def steam_id_clan=(value)
    @variables['steam_id_clan'][:value] = value
  end

  # Gets the chat_flags variable.
  #
  # @note defaults to 
  # @return [byte] the value of chat_flags
  def chat_flags
    @variables['chat_flags'][:value]
  end

  # Sets the chat_flags variable.
  #
  # @param value [byte] the new value
  def chat_flags=(value)
    @variables['chat_flags'][:value] = value
  end

  # Gets the enter_response variable.
  #
  # @note defaults to 
  # @return [EChatRoomEnterResponse] the value of enter_response
  def enter_response
    @variables['enter_response'][:value]
  end

  # Sets the enter_response variable.
  #
  # @param value [EChatRoomEnterResponse] the new value
  def enter_response=(value)
    @variables['enter_response'][:value] = value
  end

  # Gets the num_members variable.
  #
  # @note defaults to 
  # @return [int] the value of num_members
  def num_members
    @variables['num_members'][:value]
  end

  # Sets the num_members variable.
  #
  # @param value [int] the new value
  def num_members=(value)
    @variables['num_members'][:value] = value
  end

end

# Class for the MsgClientChatMsg in the Steam Language.
class MsgClientChatMsg
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientChatMsg object
  def initialize
    super([{:name=>"steam_id_chatter", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_chat_room", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"chat_msg_type", :type=>"EChatEntryType", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_chatter variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chatter
  def steam_id_chatter
    @variables['steam_id_chatter'][:value]
  end

  # Sets the steam_id_chatter variable.
  #
  # @param value [ulong] the new value
  def steam_id_chatter=(value)
    @variables['steam_id_chatter'][:value] = value
  end

  # Gets the steam_id_chat_room variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat_room
  def steam_id_chat_room
    @variables['steam_id_chat_room'][:value]
  end

  # Sets the steam_id_chat_room variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat_room=(value)
    @variables['steam_id_chat_room'][:value] = value
  end

  # Gets the chat_msg_type variable.
  #
  # @note defaults to 
  # @return [EChatEntryType] the value of chat_msg_type
  def chat_msg_type
    @variables['chat_msg_type'][:value]
  end

  # Sets the chat_msg_type variable.
  #
  # @param value [EChatEntryType] the new value
  def chat_msg_type=(value)
    @variables['chat_msg_type'][:value] = value
  end

end

# Class for the MsgClientChatMemberInfo in the Steam Language.
class MsgClientChatMemberInfo
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientChatMemberInfo object
  def initialize
    super([{:name=>"steam_id_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"type", :type=>"EChatInfoType", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat
  def steam_id_chat
    @variables['steam_id_chat'][:value]
  end

  # Sets the steam_id_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat=(value)
    @variables['steam_id_chat'][:value] = value
  end

  # Gets the type variable.
  #
  # @note defaults to 
  # @return [EChatInfoType] the value of type
  def type
    @variables['type'][:value]
  end

  # Sets the type variable.
  #
  # @param value [EChatInfoType] the new value
  def type=(value)
    @variables['type'][:value] = value
  end

end

# Class for the MsgClientChatAction in the Steam Language.
class MsgClientChatAction
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientChatAction object
  def initialize
    super([{:name=>"steam_id_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_user_to_act_on", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"chat_action", :type=>"EChatAction", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat
  def steam_id_chat
    @variables['steam_id_chat'][:value]
  end

  # Sets the steam_id_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat=(value)
    @variables['steam_id_chat'][:value] = value
  end

  # Gets the steam_id_user_to_act_on variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_user_to_act_on
  def steam_id_user_to_act_on
    @variables['steam_id_user_to_act_on'][:value]
  end

  # Sets the steam_id_user_to_act_on variable.
  #
  # @param value [ulong] the new value
  def steam_id_user_to_act_on=(value)
    @variables['steam_id_user_to_act_on'][:value] = value
  end

  # Gets the chat_action variable.
  #
  # @note defaults to 
  # @return [EChatAction] the value of chat_action
  def chat_action
    @variables['chat_action'][:value]
  end

  # Sets the chat_action variable.
  #
  # @param value [EChatAction] the new value
  def chat_action=(value)
    @variables['chat_action'][:value] = value
  end

end

# Class for the MsgClientChatActionResult in the Steam Language.
class MsgClientChatActionResult
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientChatActionResult object
  def initialize
    super([{:name=>"steam_id_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_user_acted_on", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"chat_action", :type=>"EChatAction", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"action_result", :type=>"EChatActionResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat
  def steam_id_chat
    @variables['steam_id_chat'][:value]
  end

  # Sets the steam_id_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat=(value)
    @variables['steam_id_chat'][:value] = value
  end

  # Gets the steam_id_user_acted_on variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_user_acted_on
  def steam_id_user_acted_on
    @variables['steam_id_user_acted_on'][:value]
  end

  # Sets the steam_id_user_acted_on variable.
  #
  # @param value [ulong] the new value
  def steam_id_user_acted_on=(value)
    @variables['steam_id_user_acted_on'][:value] = value
  end

  # Gets the chat_action variable.
  #
  # @note defaults to 
  # @return [EChatAction] the value of chat_action
  def chat_action
    @variables['chat_action'][:value]
  end

  # Sets the chat_action variable.
  #
  # @param value [EChatAction] the new value
  def chat_action=(value)
    @variables['chat_action'][:value] = value
  end

  # Gets the action_result variable.
  #
  # @note defaults to 
  # @return [EChatActionResult] the value of action_result
  def action_result
    @variables['action_result'][:value]
  end

  # Sets the action_result variable.
  #
  # @param value [EChatActionResult] the new value
  def action_result=(value)
    @variables['action_result'][:value] = value
  end

end

# Class for the MsgClientChatRoomInfo in the Steam Language.
class MsgClientChatRoomInfo
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientChatRoomInfo object
  def initialize
    super([{:name=>"steam_id_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"type", :type=>"EChatInfoType", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the steam_id_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat
  def steam_id_chat
    @variables['steam_id_chat'][:value]
  end

  # Sets the steam_id_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat=(value)
    @variables['steam_id_chat'][:value] = value
  end

  # Gets the type variable.
  #
  # @note defaults to 
  # @return [EChatInfoType] the value of type
  def type
    @variables['type'][:value]
  end

  # Sets the type variable.
  #
  # @param value [EChatInfoType] the new value
  def type=(value)
    @variables['type'][:value] = value
  end

end

# Class for the MsgClientSetIgnoreFriend in the Steam Language.
class MsgClientSetIgnoreFriend
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientSetIgnoreFriend object
  def initialize
    super([{:name=>"my_steam_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_friend", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"ignore", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the my_steam_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of my_steam_id
  def my_steam_id
    @variables['my_steam_id'][:value]
  end

  # Sets the my_steam_id variable.
  #
  # @param value [ulong] the new value
  def my_steam_id=(value)
    @variables['my_steam_id'][:value] = value
  end

  # Gets the steam_id_friend variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_friend
  def steam_id_friend
    @variables['steam_id_friend'][:value]
  end

  # Sets the steam_id_friend variable.
  #
  # @param value [ulong] the new value
  def steam_id_friend=(value)
    @variables['steam_id_friend'][:value] = value
  end

  # Gets the ignore variable.
  #
  # @note defaults to 
  # @return [byte] the value of ignore
  def ignore
    @variables['ignore'][:value]
  end

  # Sets the ignore variable.
  #
  # @param value [byte] the new value
  def ignore=(value)
    @variables['ignore'][:value] = value
  end

end

# Class for the MsgClientSetIgnoreFriendResponse in the Steam Language.
class MsgClientSetIgnoreFriendResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientSetIgnoreFriendResponse object
  def initialize
    super([{:name=>"unknown", :type=>"ulong", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the unknown variable.
  #
  # @note defaults to 
  # @return [ulong] the value of unknown
  def unknown
    @variables['unknown'][:value]
  end

  # Sets the unknown variable.
  #
  # @param value [ulong] the new value
  def unknown=(value)
    @variables['unknown'][:value] = value
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

end

# Class for the MsgClientLoggedOff in the Steam Language.
class MsgClientLoggedOff
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientLoggedOff object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"sec_min_reconnect_hint", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"sec_max_reconnect_hint", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the sec_min_reconnect_hint variable.
  #
  # @note defaults to 
  # @return [int] the value of sec_min_reconnect_hint
  def sec_min_reconnect_hint
    @variables['sec_min_reconnect_hint'][:value]
  end

  # Sets the sec_min_reconnect_hint variable.
  #
  # @param value [int] the new value
  def sec_min_reconnect_hint=(value)
    @variables['sec_min_reconnect_hint'][:value] = value
  end

  # Gets the sec_max_reconnect_hint variable.
  #
  # @note defaults to 
  # @return [int] the value of sec_max_reconnect_hint
  def sec_max_reconnect_hint
    @variables['sec_max_reconnect_hint'][:value]
  end

  # Sets the sec_max_reconnect_hint variable.
  #
  # @param value [int] the new value
  def sec_max_reconnect_hint=(value)
    @variables['sec_max_reconnect_hint'][:value] = value
  end

end

# Class for the MsgClientLogOnResponse in the Steam Language.
class MsgClientLogOnResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientLogOnResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"out_of_game_heartbeat_rate_sec", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"in_game_heartbeat_rate_sec", :type=>"int", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"client_supplied_steam_id", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"ip_public", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"server_real_time", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the out_of_game_heartbeat_rate_sec variable.
  #
  # @note defaults to 
  # @return [int] the value of out_of_game_heartbeat_rate_sec
  def out_of_game_heartbeat_rate_sec
    @variables['out_of_game_heartbeat_rate_sec'][:value]
  end

  # Sets the out_of_game_heartbeat_rate_sec variable.
  #
  # @param value [int] the new value
  def out_of_game_heartbeat_rate_sec=(value)
    @variables['out_of_game_heartbeat_rate_sec'][:value] = value
  end

  # Gets the in_game_heartbeat_rate_sec variable.
  #
  # @note defaults to 
  # @return [int] the value of in_game_heartbeat_rate_sec
  def in_game_heartbeat_rate_sec
    @variables['in_game_heartbeat_rate_sec'][:value]
  end

  # Sets the in_game_heartbeat_rate_sec variable.
  #
  # @param value [int] the new value
  def in_game_heartbeat_rate_sec=(value)
    @variables['in_game_heartbeat_rate_sec'][:value] = value
  end

  # Gets the client_supplied_steam_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of client_supplied_steam_id
  def client_supplied_steam_id
    @variables['client_supplied_steam_id'][:value]
  end

  # Sets the client_supplied_steam_id variable.
  #
  # @param value [ulong] the new value
  def client_supplied_steam_id=(value)
    @variables['client_supplied_steam_id'][:value] = value
  end

  # Gets the ip_public variable.
  #
  # @note defaults to 
  # @return [uint] the value of ip_public
  def ip_public
    @variables['ip_public'][:value]
  end

  # Sets the ip_public variable.
  #
  # @param value [uint] the new value
  def ip_public=(value)
    @variables['ip_public'][:value] = value
  end

  # Gets the server_real_time variable.
  #
  # @note defaults to 
  # @return [uint] the value of server_real_time
  def server_real_time
    @variables['server_real_time'][:value]
  end

  # Sets the server_real_time variable.
  #
  # @param value [uint] the new value
  def server_real_time=(value)
    @variables['server_real_time'][:value] = value
  end

end

# Class for the MsgClientSendGuestPass in the Steam Language.
class MsgClientSendGuestPass
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientSendGuestPass object
  def initialize
    super([{:name=>"gift_id", :type=>"ulong", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"gift_type", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"account_id", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the gift_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of gift_id
  def gift_id
    @variables['gift_id'][:value]
  end

  # Sets the gift_id variable.
  #
  # @param value [ulong] the new value
  def gift_id=(value)
    @variables['gift_id'][:value] = value
  end

  # Gets the gift_type variable.
  #
  # @note defaults to 
  # @return [byte] the value of gift_type
  def gift_type
    @variables['gift_type'][:value]
  end

  # Sets the gift_type variable.
  #
  # @param value [byte] the new value
  def gift_type=(value)
    @variables['gift_type'][:value] = value
  end

  # Gets the account_id variable.
  #
  # @note defaults to 
  # @return [uint] the value of account_id
  def account_id
    @variables['account_id'][:value]
  end

  # Sets the account_id variable.
  #
  # @param value [uint] the new value
  def account_id=(value)
    @variables['account_id'][:value] = value
  end

end

# Class for the MsgClientSendGuestPassResponse in the Steam Language.
class MsgClientSendGuestPassResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientSendGuestPassResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

end

# Class for the MsgClientServerUnavailable in the Steam Language.
class MsgClientServerUnavailable
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientServerUnavailable object
  def initialize
    super([{:name=>"jobid_sent", :type=>"ulong", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"e_msg_sent", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"e_server_type_unavailable", :type=>"EServerType", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the jobid_sent variable.
  #
  # @note defaults to 
  # @return [ulong] the value of jobid_sent
  def jobid_sent
    @variables['jobid_sent'][:value]
  end

  # Sets the jobid_sent variable.
  #
  # @param value [ulong] the new value
  def jobid_sent=(value)
    @variables['jobid_sent'][:value] = value
  end

  # Gets the e_msg_sent variable.
  #
  # @note defaults to 
  # @return [uint] the value of e_msg_sent
  def e_msg_sent
    @variables['e_msg_sent'][:value]
  end

  # Sets the e_msg_sent variable.
  #
  # @param value [uint] the new value
  def e_msg_sent=(value)
    @variables['e_msg_sent'][:value] = value
  end

  # Gets the e_server_type_unavailable variable.
  #
  # @note defaults to 
  # @return [EServerType] the value of e_server_type_unavailable
  def e_server_type_unavailable
    @variables['e_server_type_unavailable'][:value]
  end

  # Sets the e_server_type_unavailable variable.
  #
  # @param value [EServerType] the new value
  def e_server_type_unavailable=(value)
    @variables['e_server_type_unavailable'][:value] = value
  end

end

# Class for the MsgClientCreateChat in the Steam Language.
class MsgClientCreateChat
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientCreateChat object
  def initialize
    super([{:name=>"chat_room_type", :type=>"EChatRoomType", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"game_id", :type=>"ulong", :modifier=>"gameidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_clan", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"permission_officer", :type=>"EChatPermission", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"permission_member", :type=>"EChatPermission", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"permission_all", :type=>"EChatPermission", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"members_max", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"chat_flags", :type=>"byte", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_friend_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_invited", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the chat_room_type variable.
  #
  # @note defaults to 
  # @return [EChatRoomType] the value of chat_room_type
  def chat_room_type
    @variables['chat_room_type'][:value]
  end

  # Sets the chat_room_type variable.
  #
  # @param value [EChatRoomType] the new value
  def chat_room_type=(value)
    @variables['chat_room_type'][:value] = value
  end

  # Gets the game_id variable.
  #
  # @note defaults to 
  # @return [ulong] the value of game_id
  def game_id
    @variables['game_id'][:value]
  end

  # Sets the game_id variable.
  #
  # @param value [ulong] the new value
  def game_id=(value)
    @variables['game_id'][:value] = value
  end

  # Gets the steam_id_clan variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_clan
  def steam_id_clan
    @variables['steam_id_clan'][:value]
  end

  # Sets the steam_id_clan variable.
  #
  # @param value [ulong] the new value
  def steam_id_clan=(value)
    @variables['steam_id_clan'][:value] = value
  end

  # Gets the permission_officer variable.
  #
  # @note defaults to 
  # @return [EChatPermission] the value of permission_officer
  def permission_officer
    @variables['permission_officer'][:value]
  end

  # Sets the permission_officer variable.
  #
  # @param value [EChatPermission] the new value
  def permission_officer=(value)
    @variables['permission_officer'][:value] = value
  end

  # Gets the permission_member variable.
  #
  # @note defaults to 
  # @return [EChatPermission] the value of permission_member
  def permission_member
    @variables['permission_member'][:value]
  end

  # Sets the permission_member variable.
  #
  # @param value [EChatPermission] the new value
  def permission_member=(value)
    @variables['permission_member'][:value] = value
  end

  # Gets the permission_all variable.
  #
  # @note defaults to 
  # @return [EChatPermission] the value of permission_all
  def permission_all
    @variables['permission_all'][:value]
  end

  # Sets the permission_all variable.
  #
  # @param value [EChatPermission] the new value
  def permission_all=(value)
    @variables['permission_all'][:value] = value
  end

  # Gets the members_max variable.
  #
  # @note defaults to 
  # @return [uint] the value of members_max
  def members_max
    @variables['members_max'][:value]
  end

  # Sets the members_max variable.
  #
  # @param value [uint] the new value
  def members_max=(value)
    @variables['members_max'][:value] = value
  end

  # Gets the chat_flags variable.
  #
  # @note defaults to 
  # @return [byte] the value of chat_flags
  def chat_flags
    @variables['chat_flags'][:value]
  end

  # Sets the chat_flags variable.
  #
  # @param value [byte] the new value
  def chat_flags=(value)
    @variables['chat_flags'][:value] = value
  end

  # Gets the steam_id_friend_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_friend_chat
  def steam_id_friend_chat
    @variables['steam_id_friend_chat'][:value]
  end

  # Sets the steam_id_friend_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_friend_chat=(value)
    @variables['steam_id_friend_chat'][:value] = value
  end

  # Gets the steam_id_invited variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_invited
  def steam_id_invited
    @variables['steam_id_invited'][:value]
  end

  # Sets the steam_id_invited variable.
  #
  # @param value [ulong] the new value
  def steam_id_invited=(value)
    @variables['steam_id_invited'][:value] = value
  end

end

# Class for the MsgClientCreateChatResponse in the Steam Language.
class MsgClientCreateChatResponse
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientCreateChatResponse object
  def initialize
    super([{:name=>"result", :type=>"EResult", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"chat_room_type", :type=>"EChatRoomType", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"steam_id_friend_chat", :type=>"ulong", :modifier=>"steamidmarshal", :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the result variable.
  #
  # @note defaults to 
  # @return [EResult] the value of result
  def result
    @variables['result'][:value]
  end

  # Sets the result variable.
  #
  # @param value [EResult] the new value
  def result=(value)
    @variables['result'][:value] = value
  end

  # Gets the steam_id_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_chat
  def steam_id_chat
    @variables['steam_id_chat'][:value]
  end

  # Sets the steam_id_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_chat=(value)
    @variables['steam_id_chat'][:value] = value
  end

  # Gets the chat_room_type variable.
  #
  # @note defaults to 
  # @return [EChatRoomType] the value of chat_room_type
  def chat_room_type
    @variables['chat_room_type'][:value]
  end

  # Sets the chat_room_type variable.
  #
  # @param value [EChatRoomType] the new value
  def chat_room_type=(value)
    @variables['chat_room_type'][:value] = value
  end

  # Gets the steam_id_friend_chat variable.
  #
  # @note defaults to 
  # @return [ulong] the value of steam_id_friend_chat
  def steam_id_friend_chat
    @variables['steam_id_friend_chat'][:value]
  end

  # Sets the steam_id_friend_chat variable.
  #
  # @param value [ulong] the new value
  def steam_id_friend_chat=(value)
    @variables['steam_id_friend_chat'][:value] = value
  end

end

# Class for the MsgClientMarketingMessageUpdate2 in the Steam Language.
class MsgClientMarketingMessageUpdate2
  # Allows serialization and deserialization of the class
  include SteamSerializable

  # Instantiate a MsgClientMarketingMessageUpdate2 object
  def initialize
    super([{:name=>"marketing_message_update_time", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}, {:name=>"count", :type=>"uint", :modifier=>nil, :value=>nil, :size=>nil, :modifier_size=>nil}], [])
  end

  # Gets the marketing_message_update_time variable.
  #
  # @note defaults to 
  # @return [uint] the value of marketing_message_update_time
  def marketing_message_update_time
    @variables['marketing_message_update_time'][:value]
  end

  # Sets the marketing_message_update_time variable.
  #
  # @param value [uint] the new value
  def marketing_message_update_time=(value)
    @variables['marketing_message_update_time'][:value] = value
  end

  # Gets the count variable.
  #
  # @note defaults to 
  # @return [uint] the value of count
  def count
    @variables['count'][:value]
  end

  # Sets the count variable.
  #
  # @param value [uint] the new value
  def count=(value)
    @variables['count'][:value] = value
  end

end

require_relative 'header'
require_relative 'gamecoordinator'
