# frozen_string_literal: true
# Represents a variable declared in an Enum
#
# @example
#   Invalid = 0
class EnumVariable < Node
  # The name of the EnumVariable
  def name
    enum_variable_name.text_value
  end

  # The value of the EnumVariable
  def value
    enum_variable_value.value
  end

  # Hash representation of the EnumVariable
  def to_hash
    {
      name: name,
      value: value
    }
  end
end
