# frozen_string_literal: true
# Represents an import statement
#
# ie: #import "test.steamd"
class ImportStatement < Node
  # The full name including the extension of the import file
  #
  # @return [String]
  def name
    filename.text_value
  end

  # The name not including the extension of the import file
  #
  # @return [String]
  def filename_no_ext
    File.basename(name, '.*')
  end

  # The hash representation
  #
  # @return [Hash]
  def to_hash
    { filename: filename_no_ext }
  end
end
